#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2one4xi.py">
#<abstract4xi abstract = "fires to direction one"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2one4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "

       
# -------------------------------------------------------------------------------------------------
# SHOT2ONE - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y + ,Z + )
# -------------------------------------------------------------------------------------------------  

global shot2one104xi            # 10   - 90 
global shot2one1004xi           # 100  -    
global shot2one2004xi    
global shot2one3004xi
global shot2one4004xi
global shot2one5004xi
global shot2one6004xi
global shot2one7004xi
global shot2one8004xi
global shot2one9004xi
global shot2one10004xi            
global shot2one11004xi
global shot2one12004xi
global shot2one13004xi
global shot2one14004xi
global shot2one15004xi
global shot2one16004xi
global shot2one17004xi
global shot2one18004xi
global shot2one19004xi
global shot2one20004xi
global shot2one21004xi
global shot2one22004xi
global shot2one23004xi
global shot2one24004xi
global shot2one25004xi
global shot2one26004xi
global shot2one27004xi
global shot2one28004xi
global shot2one29004xi
global shot2one30004xi
global shot2one31004xi
global shot2one32004xi
global shot2one33004xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings - copied from load2one4xi.py results to access faster by verb4xi.py
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False 


# -------------------------------------------------------------------------------------------------
# 10
# -------------------------------------------------------------------------------------------------
shot2one104xi = {
                 1:'0x0y19z',
                 2:'0x0y39z',
                 3:'0x0y59z',
                 4:'0x0y89z',
                 5:'0x13y14z',
                 6:'0x13y15z',
                 7:'0x1y39z',
                 8:'0x1y59z',
                 9:'0x2y69z',
                 10:'0x30y25z',
                 11:'0x3y69z',
                 12:'0x4y69z',
                 13:'0x50y32z',
                 14:'0x72y34z',
                 15:'10x18y21z',
                 16:'10x47y34z',
                 17:'10x70y36z',
                 18:'11x16y21z',
                 19:'11x17y21z',
                 20:'12x0y15z',
                 21:'12x16y21z',
                 22:'13x14y22z',
                 23:'13x15y22z',
                 24:'13x46y35z',
                 25:'14x12y22z',
                 26:'14x13y22z',
                 27:'14x69y37z',
                 28:'15x10y23z',
                 29:'15x11y22z',
                 30:'15x45y35z',
                 31:'16x35y30z',
                 32:'17x44y36z',
                 33:'18x34y31z',
                 34:'18x67y38z',
                 35:'1x12y15z',
                 36:'1x30y25z',
                 37:'20x33y31z',
                 38:'21x32y31z',
                 39:'21x66y39z',
                 40:'23x30y32z',
                 41:'24x29y32z',
                 42:'24x64y39z',
                 43:'25x27y32z',
                 44:'26x25y33z',
                 45:'27x24y33z',
                 46:'27x63y40z',
                 47:'28x22y34z',
                 48:'29x20y34z',
                 49:'2x12y15z',
                 50:'2x30y26z',
                 51:'2x5y7z',
                 52:'2x5y8z',
                 53:'31x61y41z',
                 54:'33x59y41z',
                 55:'34x47y37z',
                 56:'35x0y34z',
                 57:'36x45y38z',
                 58:'36x56y42z',
                 59:'38x43y38z',
                 60:'3x11y15z',
                 61:'3x12y15z',
                 62:'3x3y8z',
                 63:'3x49y33z',
                 64:'3x4y8z',
                 65:'3x71y35z',
                 66:'40x40y39z',
                 67:'42x38y40z',
                 68:'44x35y40z',
                 69:'45x33y41z',
                 70:'4x29y26z',
                 71:'4x3y8z',
                 72:'56x0y41z',
                 73:'5x29y26z',
                 74:'6x49y33z',
                 75:'7x28y26z',
                 76:'7x70y36z',
                 77:'8x19y20z',
                 78:'8x27y27z',
                 79:'8x48y34z',
                 80:'9x19y21z',
                 81:'9x27y27z'}
# -------------------------------------------------------------------------------------------------
# 100
# -------------------------------------------------------------------------------------------------                 
shot2one1004xi = {
                  1:'0x0y99z',
                  2:'0x10y99z',
                  3:'0x11y99z',
                  4:'0x12y99z',
                  5:'0x13y99z',
                  6:'0x1y99z',
                  7:'0x2y99z',
                  8:'0x3y99z',
                  9:'0x4y99z',
                  10:'0x5y99z',
                  11:'0x66y74z',
                  12:'0x90y43z',
                  13:'10x63y76z',
                  14:'10x74y65z',
                  15:'10x81y56z',
                  16:'12x91y38z',
                  17:'13x61y77z',
                  18:'13x87y46z',
                  19:'14x73y66z',
                  20:'14x80y57z',
                  21:'16x60y78z',
                  22:'17x71y67z',
                  23:'17x90y39z',
                  24:'18x79y58z',
                  25:'18x86y47z',
                  26:'19x58y78z',
                  27:'1x0y199z',
                  28:'1x1y99z',
                  29:'1x2y99z',
                  30:'1x3y99z',
                  31:'1x4y99z',
                  32:'1x7y99z',
                  33:'1x83y54z',
                  34:'1x8y99z',
                  35:'1x9y99z',
                  36:'21x56y79z',
                  37:'21x69y68z',
                  38:'21x89y39z',
                  39:'22x77y58z',
                  40:'22x84y48z',
                  41:'24x54y79z',
                  42:'24x68y68z',
                  43:'26x52y80z',
                  44:'26x75y59z',
                  45:'26x83y48z',
                  46:'26x87y40z',
                  47:'28x66y69z',
                  48:'29x50y81z',
                  49:'29x73y60z',
                  50:'2x5y99z',
                  51:'2x6y99z',
                  52:'2x76y64z',
                  53:'2x93y36z',
                  54:'30x81y49z',
                  55:'30x85y41z',
                  56:'31x48y81z',
                  57:'31x63y70z',
                  58:'33x45y82z',
                  59:'33x71y61z',
                  60:'34x61y71z',
                  61:'34x78y50z',
                  62:'35x43y82z',
                  63:'35x83y42z',
                  64:'36x40y83z',
                  65:'36x59y71z',
                  66:'36x69y62z',
                  67:'38x38y83z',
                  68:'38x76y51z',
                  69:'39x35y84z',
                  70:'39x56y72z',
                  71:'39x81y43z',
                  72:'3x65y75z',
                  73:'40x33y85z',
                  74:'40x66y62z',
                  75:'41x30y85z',
                  76:'41x53y73z',
                  77:'42x73y52z',
                  78:'43x64y63z',
                  79:'43x78y44z',
                  80:'44x50y73z',
                  81:'46x47y74z',
                  82:'46x61y64z',
                  83:'46x71y53z',
                  84:'46x75y45z',
                  85:'48x44y75z',
                  86:'48x58y65z',
                  87:'49x41y75z',
                  88:'49x68y54z',
                  89:'4x89y44z',
                  90:'50x72y46z',
                  91:'51x38y76z',
                  92:'51x55y65z',
                  93:'52x35y77z',
                  94:'52x65y54z',
                  95:'53x51y66z',
                  96:'54x69y47z',
                  97:'55x48y67z',
                  98:'55x61y55z',
                  99:'57x45y68z',
                  100:'57x66y48z',
                  101:'58x58y56z',
                  102:'59x41y68z',
                  103:'5x82y55z',
                  104:'60x54y57z',
                  105:'60x62y48z',
                  106:'63x51y58z',
                  107:'63x59y49z',
                  108:'65x47y58z',
                  109:'65x55y50z',
                  110:'68x51y51z',
                  111:'6x64y76z',
                  112:'6x75y65z',
                  113:'7x92y37z',
                  114:'80x0y59z',
                  115:'9x88y45z'}
                  
# -------------------------------------------------------------------------------------------------
# 200
# -------------------------------------------------------------------------------------------------                                          
shot2one2004xi = {
                  1:'0x0y199z',
                  2:'0x132y149z',
                  3:'0x180y87z',
                  4:'0x23y198z',
                  5:'0x25y198z',
                  6:'0x2y199z',
                  7:'0x4y199z',
                  8:'0x6y199z',
                  9:'0x8y199z',
                  10:'101x145y92z',
                  11:'102x110y131z',
                  12:'102x77y152z',
                  13:'105x130y109z',
                  14:'105x71y154z',
                  15:'107x103y133z',
                  16:'108x139y94z',
                  17:'110x123y111z',
                  18:'111x97y134z',
                  19:'114x132y96z',
                  20:'115x90y136z',
                  21:'116x116y113z',
                  22:'118x83y137z',
                  23:'11x165y111z',
                  24:'11x9y299z',
                  25:'120x125y97z',
                  26:'121x109y114z',
                  27:'126x102y116z',
                  28:'126x118y99z',
                  29:'130x95y117z',
                  30:'131x111y101z',
                  31:'136x103y102z',
                  32:'13x128y152z',
                  33:'13x151y130z',
                  34:'15x185y74z',
                  35:'160x0y119z',
                  36:'18x177y90z',
                  37:'1x0y199z',
                  38:'1x1y199z',
                  39:'1x21y198z',
                  40:'20x126y153z',
                  41:'20x148y131z',
                  42:'20x163y112z',
                  43:'25x183y76z',
                  44:'26x123y155z',
                  45:'27x175y92z',
                  46:'28x146y133z',
                  47:'28x161y114z',
                  48:'2x167y109z',
                  49:'2x19y199z',
                  50:'2x3y199z',
                  51:'2x5y199z',
                  52:'32x120y156z',
                  53:'34x180y78z',
                  54:'35x143y134z',
                  55:'36x158y116z',
                  56:'36x172y94z',
                  57:'38x117y157z',
                  58:'3x0y199z',
                  59:'3x15y199z',
                  60:'3x17y199z',
                  61:'3x7y199z',
                  62:'3x9y199z',
                  63:'42x139y136z',
                  64:'43x113y158z',
                  65:'43x178y79z',
                  66:'44x155y117z',
                  67:'45x169y96z',
                  68:'48x109y159z',
                  69:'49x136y137z',
                  70:'4x11y199z',
                  71:'4x13y199z',
                  72:'52x151y119z',
                  73:'52x174y81z',
                  74:'53x105y161z',
                  75:'53x166y97z',
                  76:'56x132y139z',
                  77:'58x101y162z',
                  78:'59x147y120z',
                  79:'5x0y199z',
                  80:'5x152y128z',
                  81:'5x186y72z',
                  82:'61x162y99z',
                  83:'61x170y83z',
                  84:'62x127y140z',
                  85:'62x96y163z',
                  86:'66x143y122z',
                  87:'66x91y164z',
                  88:'68x123y142z',
                  89:'69x157y101z',
                  90:'6x130y151z',
                  91:'6x4y199z',
                  92:'70x166y85z',
                  93:'70x86y165z',
                  94:'73x118y143z',
                  95:'73x138y124z',
                  96:'73x81y166z',
                  97:'76x76y167z',
                  98:'77x152y102z',
                  99:'78x162y87z',
                  100:'79x112y144z',
                  101:'79x71y169z',
                  102:'80x133y125z',
                  103:'81x66y170z',
                  104:'83x107y146z',
                  105:'83x60y171z',
                  106:'84x147y104z',
                  107:'86x128y127z',
                  108:'86x156y88z',
                  109:'88x101y147z',
                  110:'92x122y128z',
                  111:'92x142y106z',
                  112:'92x95y149z',
                  113:'93x151y90z',
                  114:'96x89y150z',
                  115:'97x116y130z',
                  116:'98x136y108z',
                  117:'99x83y151z',
                  118:'9x178y88z'}
                                    
# -------------------------------------------------------------------------------------------------
# 300
# -------------------------------------------------------------------------------------------------                                          
shot2one3004xi = {
                  1:'0x0y299z',
                  2:'0x12y299z',
                  3:'0x198y224z',
                  4:'0x270y130z',
                  5:'0x38y297z',
                  6:'0x3y299z',
                  7:'0x6y299z',
                  8:'0x9y299z',
                  9:'100x137y246z',
                  10:'100x215y183z',
                  11:'102x184y213z',
                  12:'104x236y151z',
                  13:'105x130y248z',
                  14:'105x250y127z',
                  15:'10x196y226z',
                  16:'110x122y250z',
                  17:'110x177y215z',
                  18:'110x207y186z',
                  19:'115x115y251z',
                  20:'116x229y154z',
                  21:'117x243y130z',
                  22:'118x169y217z',
                  23:'119x107y253z',
                  24:'11x9y299z',
                  25:'120x200y188z',
                  26:'122x99y255z',
                  27:'125x161y219z',
                  28:'125x91y256z',
                  29:'127x221y156z',
                  30:'129x192y190z',
                  31:'129x235y133z',
                  32:'132x152y221z',
                  33:'138x183y193z',
                  34:'138x213y159z',
                  35:'139x143y223z',
                  36:'13x268y133z',
                  37:'140x227y136z',
                  38:'144x134y225z',
                  39:'146x174y195z',
                  40:'148x204y162z',
                  41:'149x125y227z',
                  42:'151x218y138z',
                  43:'153x165y197z',
                  44:'154x116y229z',
                  45:'157x195y164z',
                  46:'158x106y231z',
                  47:'160x155y199z',
                  48:'162x209y141z',
                  49:'166x185y167z',
                  50:'167x145y202z',
                  51:'172x199y144z',
                  52:'173x135y204z',
                  53:'174x175y169z',
                  54:'178x124y206z',
                  55:'17x16y399z',
                  56:'17x248y166z',
                  57:'181x188y146z',
                  58:'182x164y172z',
                  59:'189x153y174z',
                  60:'189x178y149z',
                  61:'195x142y176z',
                  62:'197x166y151z',
                  63:'19x226y195z',
                  64:'1x2y299z',
                  65:'1x35y297z',
                  66:'204x155y154z',
                  67:'20x193y228z',
                  68:'23x277y111z',
                  69:'27x265y136z',
                  70:'2x0y299z',
                  71:'2x32y298z',
                  72:'30x189y230z',
                  73:'30x245y169z',
                  74:'31x223y197z',
                  75:'37x274y114z',
                  76:'39x185y232z',
                  77:'3x5y299z',
                  78:'41x262y138z',
                  79:'42x219y200z',
                  80:'42x242y171z',
                  81:'48x180y234z',
                  82:'4x251y164z',
                  83:'4x29y298z',
                  84:'4x7y299z',
                  85:'51x271y117z',
                  86:'53x214y202z',
                  87:'54x238y174z',
                  88:'54x258y141z',
                  89:'57x175y236z',
                  90:'5x0y299z',
                  91:'5x10y299z',
                  92:'5x13y299z',
                  93:'5x23y299z',
                  94:'5x26y298z',
                  95:'64x209y204z',
                  96:'65x170y238z',
                  97:'65x267y119z',
                  98:'66x233y176z',
                  99:'67x254y144z',
                  100:'6x16y299z',
                  101:'6x20y299z',
                  102:'73x164y239z',
                  103:'74x204y206z',
                  104:'78x227y178z',
                  105:'79x262y122z',
                  106:'80x158y241z',
                  107:'80x249y146z',
                  108:'84x198y208z',
                  109:'87x151y243z',
                  110:'89x221y181z',
                  111:'8x0y299z',
                  112:'8x229y193z',
                  113:'8x279y108z',
                  114:'92x243y149z',
                  115:'92x256y125z',
                  116:'93x191y211z',
                  117:'94x144y245z',
                  118:'9x7y299z'}
                                    
# -------------------------------------------------------------------------------------------------
# 400
# -------------------------------------------------------------------------------------------------                                          
shot2one4004xi = {
                  1:'0x0y399z',
                  2:'0x12y399z',
                  3:'0x16y399z',
                  4:'0x264y299z',
                  5:'0x360y174z',
                  6:'0x4y399z',
                  7:'0x51y396z',
                  8:'0x8y399z',
                  9:'104x303y238z',
                  10:'105x349y163z',
                  11:'107x211y322z',
                  12:'107x332y195z',
                  13:'10x305y257z',
                  14:'112x264y278z',
                  15:'116x202y324z',
                  16:'119x295y241z',
                  17:'11x0y399z',
                  18:'11x372y144z',
                  19:'123x324y198z',
                  20:'123x341y167z',
                  21:'124x255y281z',
                  22:'125x193y327z',
                  23:'12x9y399z',
                  24:'133x183y329z',
                  25:'133x286y244z',
                  26:'136x246y284z',
                  27:'139x315y202z',
                  28:'13x261y302z',
                  29:'140x173y331z',
                  30:'140x333y170z',
                  31:'147x163y333z',
                  32:'147x236y287z',
                  33:'147x277y248z',
                  34:'153x153y335z',
                  35:'155x305y205z',
                  36:'156x324y174z',
                  37:'158x142y338z',
                  38:'158x225y289z',
                  39:'15x13y399z',
                  40:'160x266y251z',
                  41:'163x132y340z',
                  42:'167x121y342z',
                  43:'167x214y292z',
                  44:'169x295y209z',
                  45:'172x256y254z',
                  46:'172x313y177z',
                  47:'176x203y295z',
                  48:'184x244y257z',
                  49:'184x284y212z',
                  50:'185x191y298z',
                  51:'187x302y181z',
                  52:'18x357y177z',
                  53:'192x179y300z',
                  54:'195x232y260z',
                  55:'197x272y216z',
                  56:'199x167y303z',
                  57:'1x47y397z',
                  58:'202x291y184z',
                  59:'205x155y305z',
                  60:'205x220y263z',
                  61:'210x260y219z',
                  62:'211x142y308z',
                  63:'214x207y266z',
                  64:'216x278y188z',
                  65:'21x20y499z',
                  66:'221x247y222z',
                  67:'223x194y269z',
                  68:'229x265y192z',
                  69:'230x180y272z',
                  70:'232x233y226z',
                  71:'237x166y275z',
                  72:'23x331y222z',
                  73:'241x251y195z',
                  74:'243x219y229z',
                  75:'252x205y232z',
                  76:'252x237y199z',
                  77:'261x190y235z',
                  78:'263x222y202z',
                  79:'26x302y260z',
                  80:'273x207y205z',
                  81:'27x257y305z',
                  82:'2x3y399z',
                  83:'31x370y148z',
                  84:'36x354y181z',
                  85:'3x0y399z',
                  86:'3x43y397z',
                  87:'40x252y307z',
                  88:'40x327y225z',
                  89:'41x297y263z',
                  90:'4x6y399z',
                  91:'50x366y152z',
                  92:'52x247y310z',
                  93:'54x350y184z',
                  94:'56x292y266z',
                  95:'56x323y228z',
                  96:'5x10y399z',
                  97:'5x334y218z',
                  98:'5x39y398z',
                  99:'64x241y312z',
                  100:'69x361y156z',
                  101:'6x35y398z',
                  102:'71x286y269z',
                  103:'72x345y188z',
                  104:'73x317y232z',
                  105:'76x234y315z',
                  106:'7x0y399z',
                  107:'7x14y399z',
                  108:'7x18y399z',
                  109:'7x30y398z',
                  110:'85x279y272z',
                  111:'87x227y317z',
                  112:'87x356y159z',
                  113:'88x310y235z',
                  114:'8x22y399z',
                  115:'8x26y399z',
                  116:'90x339y192z',
                  117:'97x219y319z',
                  118:'99x272y275z'}
                                    
# -------------------------------------------------------------------------------------------------
# 500
# -------------------------------------------------------------------------------------------------                                          
shot2one5004xi = {
                  1:'0x0y499z',
                  2:'0x10y499z',
                  3:'0x15y499z',
                  4:'0x20y499z',
                  5:'0x331y374z',
                  6:'0x450y217z',
                  7:'0x5y499z',
                  8:'0x64y495z',
                  9:'106x349y341z',
                  10:'108x283y396z',
                  11:'109x445y199z',
                  12:'10x28y499z',
                  13:'10x33y498z',
                  14:'111x388y294z',
                  15:'112x423y240z',
                  16:'122x274y399z',
                  17:'123x340y344z',
                  18:'130x379y298z',
                  19:'132x436y204z',
                  20:'134x263y402z',
                  21:'134x415y244z',
                  22:'13x381y322z',
                  23:'140x330y348z',
                  24:'145x252y405z',
                  25:'149x369y302z',
                  26:'14x0y499z',
                  27:'14x465y181z',
                  28:'154x405y248z',
                  29:'154x427y208z',
                  30:'155x319y351z',
                  31:'156x241y408z',
                  32:'15x12y499z',
                  33:'166x229y411z',
                  34:'166x358y306z',
                  35:'170x307y355z',
                  36:'174x394y253z',
                  37:'175x416y213z',
                  38:'176x217y414z',
                  39:'17x326y378z',
                  40:'183x346y310z',
                  41:'184x204y417z',
                  42:'184x295y358z',
                  43:'18x16y499z',
                  44:'191x191y419z',
                  45:'194x382y257z',
                  46:'195x405y217z',
                  47:'197x282y362z',
                  48:'198x178y422z',
                  49:'200x333y313z',
                  50:'204x165y425z',
                  51:'209x152y427z',
                  52:'209x268y365z',
                  53:'212x369y261z',
                  54:'215x320y317z',
                  55:'215x392y222z',
                  56:'221x254y369z',
                  57:'22x447y222z',
                  58:'230x305y321z',
                  59:'230x355y265z',
                  60:'231x239y372z',
                  61:'234x378y226z',
                  62:'241x224y375z',
                  63:'243x290y325z',
                  64:'246x340y270z',
                  65:'249x209y379z',
                  66:'253x363y231z',
                  67:'256x275y329z',
                  68:'257x193y382z',
                  69:'25x24y598z',
                  70:'262x325y274z',
                  71:'263x178y385z',
                  72:'268x259y333z',
                  73:'270x348y235z',
                  74:'277x309y278z',
                  75:'278x242y336z',
                  76:'286x331y240z',
                  77:'288x225y340z',
                  78:'28x414y277z',
                  79:'291x292y282z',
                  80:'297x208y344z',
                  81:'2x4y499z',
                  82:'2x59y496z',
                  83:'301x314y244z',
                  84:'303x274y286z',
                  85:'315x256y290z',
                  86:'316x296y248z',
                  87:'326x237y294z',
                  88:'329x278y253z',
                  89:'33x321y381z',
                  90:'33x377y326z',
                  91:'341x259y257z',
                  92:'38x462y185z',
                  93:'45x443y226z',
                  94:'4x0y499z',
                  95:'4x54y496z',
                  96:'50x315y384z',
                  97:'50x409y281z',
                  98:'52x372y329z',
                  99:'5x8y499z',
                  100:'62x458y190z',
                  101:'65x308y387z',
                  102:'68x437y231z',
                  103:'71x365y333z',
                  104:'71x403y286z',
                  105:'7x13y499z',
                  106:'7x418y273z',
                  107:'7x49y497z',
                  108:'80x301y390z',
                  109:'86x452y195z',
                  110:'89x358y337z',
                  111:'8x17y499z',
                  112:'8x44y497z',
                  113:'91x396y290z',
                  114:'91x431y235z',
                  115:'95x292y393z',
                  116:'9x0y499z',
                  117:'9x22y499z',
                  118:'9x38y498z'}
                  
                         
# -------------------------------------------------------------------------------------------------
# 600
# -------------------------------------------------------------------------------------------------                                          
shot2one6004xi = {
                  1:'0x0y599z',
                  2:'0x12y599z',
                  3:'0x18y599z',
                  4:'0x397y449z',
                  5:'0x540y261z',
                  6:'0x6y599z',
                  7:'103x542y234z',
                  8:'107x429y404z',
                  9:'109x476y348z',
                  10:'109x517y282z',
                  11:'10x21y599z',
                  12:'10x52y597z',
                  13:'114x351y472z',
                  14:'11x0y599z',
                  15:'11x27y599z',
                  16:'11x46y598z',
                  17:'128x419y409z',
                  18:'12x33y598z',
                  19:'12x40y598z',
                  20:'130x340y476z',
                  21:'131x534y239z',
                  22:'133x466y352z',
                  23:'135x508y288z',
                  24:'146x328y479z',
                  25:'148x408y413z',
                  26:'156x455y357z',
                  27:'158x524y245z',
                  28:'160x498y293z',
                  29:'161x316y483z',
                  30:'168x396y417z',
                  31:'16x458y386z',
                  32:'175x303y487z',
                  33:'178x443y362z',
                  34:'17x0y599z',
                  35:'17x558y217z',
                  36:'184x512y250z',
                  37:'185x486y298z',
                  38:'186x383y422z',
                  39:'188x289y490z',
                  40:'18x14y599z',
                  41:'200x275y493z',
                  42:'200x430y367z',
                  43:'204x369y426z',
                  44:'209x473y303z',
                  45:'20x392y453z',
                  46:'210x500y255z',
                  47:'211x260y497z',
                  48:'220x415y372z',
                  49:'221x245y500z',
                  50:'221x354y430z',
                  51:'22x19y599z',
                  52:'230x230y503z',
                  53:'232x458y308z',
                  54:'235x486y261z',
                  55:'237x338y434z',
                  56:'238x214y507z',
                  57:'240x400y376z',
                  58:'245x198y510z',
                  59:'251x182y513z',
                  60:'251x322y438z',
                  61:'254x443y313z',
                  62:'258x384y381z',
                  63:'259x470y266z',
                  64:'25x24y598z',
                  65:'265x305y443z',
                  66:'276x366y386z',
                  67:'276x426y319z',
                  68:'278x287y447z',
                  69:'27x536y266z',
                  70:'281x454y272z',
                  71:'289x269y451z',
                  72:'28x30y598z',
                  73:'292x349y390z',
                  74:'296x408y324z',
                  75:'299x251y454z',
                  76:'2x71y595z',
                  77:'303x436y277z',
                  78:'307x330y395z',
                  79:'308x232y458z',
                  80:'315x390y329z',
                  81:'316x213y462z',
                  82:'321x311y399z',
                  83:'324x418y282z',
                  84:'332x370y334z',
                  85:'334x291y404z',
                  86:'344x398y288z',
                  87:'346x270y408z',
                  88:'349x350y339z',
                  89:'34x497y333z',
                  90:'356x249y412z',
                  91:'362x377y293z',
                  92:'364x329y344z',
                  93:'36x42y697z',
                  94:'378x307y348z',
                  95:'379x356y298z',
                  96:'391x285y353z',
                  97:'395x333y303z',
                  98:'39x453y391z',
                  99:'3x4y599z',
                  100:'409x310y308z',
                  101:'40x386y457z',
                  102:'46x555y222z',
                  103:'55x531y272z',
                  104:'5x0y599z',
                  105:'5x65y596z',
                  106:'60x378y461z',
                  107:'60x491y338z',
                  108:'62x446y395z',
                  109:'6x10y599z',
                  110:'75x549y228z',
                  111:'78x370y465z',
                  112:'82x525y277z',
                  113:'85x438y400z',
                  114:'85x484y343z',
                  115:'8x15y599z',
                  116:'8x502y328z',
                  117:'8x59y597z',
                  118:'96x361y468z'}
                  
# -------------------------------------------------------------------------------------------------
# 700
# -------------------------------------------------------------------------------------------------                                          
shot2one7004xi = {
                  1:'0x0y699z',
                  2:'0x14y699z',
                  3:'0x1y699z',
                  4:'0x21y699z',
                  5:'0x463y524z',
                  6:'0x7y699z',
                  7:'10x18y699z',
                  8:'113x421y547z',
                  9:'120x633y273z',
                  10:'124x501y472z',
                  11:'127x555y406z',
                  12:'127x604y329z',
                  13:'12x25y699z',
                  14:'12x61y697z',
                  15:'133x410y551z',
                  16:'13x32y699z',
                  17:'13x54y697z',
                  18:'149x489y477z',
                  19:'14x39y698z',
                  20:'14x46y698z',
                  21:'152x397y555z',
                  22:'153x623y279z',
                  23:'155x544y411z',
                  24:'157x593y336z',
                  25:'170x383y559z',
                  26:'173x476y482z',
                  27:'182x531y417z',
                  28:'184x611y285z',
                  29:'187x581y342z',
                  30:'188x369y564z',
                  31:'18x534y451z',
                  32:'196x462y487z',
                  33:'204x354y568z',
                  34:'208x517y423z',
                  35:'20x0y699z',
                  36:'20x652y253z',
                  37:'215x598y292z',
                  38:'216x567y348z',
                  39:'218x446y492z',
                  40:'219x338y572z',
                  41:'22x17y699z',
                  42:'233x321y576z',
                  43:'233x501y428z',
                  44:'238x430y497z',
                  45:'23x457y529z',
                  46:'244x551y354z',
                  47:'245x583y298z',
                  48:'246x304y580z',
                  49:'257x484y434z',
                  50:'258x286y584z',
                  51:'258x413y502z',
                  52:'268x268y587z',
                  53:'26x22y699z',
                  54:'271x535y360z',
                  55:'274x567y304z',
                  56:'276x395y507z',
                  57:'277x250y591z',
                  58:'280x467y439z',
                  59:'286x231y595z',
                  60:'292x212y599z',
                  61:'293x376y512z',
                  62:'297x517y366z',
                  63:'301x448y445z',
                  64:'302x549y311z',
                  65:'309x356y516z',
                  66:'30x29y698z',
                  67:'31x626y311z',
                  68:'322x428y450z',
                  69:'322x497y372z',
                  70:'324x335y521z',
                  71:'328x530y317z',
                  72:'337x314y526z',
                  73:'33x35y698z',
                  74:'341x407y455z',
                  75:'345x477y378z',
                  76:'349x293y530z',
                  77:'354x509y323z',
                  78:'359x385y461z',
                  79:'360x271y535z',
                  80:'367x455y384z',
                  81:'369x249y539z',
                  82:'36x42y697z',
                  83:'375x362y466z',
                  84:'378x487y329z',
                  85:'37x50y697z',
                  86:'388x432y389z',
                  87:'390x339y471z',
                  88:'3x83y694z',
                  89:'401x464y336z',
                  90:'403x315y476z',
                  91:'407x408y395z',
                  92:'40x580y388z',
                  93:'415x291y481z',
                  94:'422x440y342z',
                  95:'425x384y401z',
                  96:'441x359y407z',
                  97:'442x415y348z',
                  98:'44x66y796z',
                  99:'456x333y412z',
                  100:'461x389y354z',
                  101:'46x528y456z',
                  102:'478x362y360z',
                  103:'47x450y533z',
                  104:'4x5y699z',
                  105:'54x647y260z',
                  106:'64x620y317z',
                  107:'6x0y699z',
                  108:'6x76y695z',
                  109:'70x442y538z',
                  110:'70x573y394z',
                  111:'73x520y461z',
                  112:'7x11y699z',
                  113:'88x641y266z',
                  114:'91x432y542z',
                  115:'96x613y323z',
                  116:'99x511y467z',
                  117:'99x565y400z',
                  118:'9x585y383z',
                  119:'9x69y696z'}
                                    
# -------------------------------------------------------------------------------------------------
# 800
# -------------------------------------------------------------------------------------------------                                          
shot2one8004xi = {
                  1:'0x0y799z',
                  2:'0x16y799z',
                  3:'0x1y799z',
                  4:'0x24y799z',
                  5:'0x529y599z',
                  6:'0x8y799z',
                  7:'100x732y304z',
                  8:'105x494y620z',
                  9:'109x700y369z',
                  10:'113x584y533z',
                  11:'113x646y457z',
                  12:'11x20y799z',
                  13:'11x669y437z',
                  14:'11x79y796z',
                  15:'129x482y625z',
                  16:'138x723y312z',
                  17:'13x70y796z',
                  18:'142x572y539z',
                  19:'145x690y376z',
                  20:'146x634y464z',
                  21:'14x28y799z',
                  22:'152x468y630z',
                  23:'15x36y798z',
                  24:'15x61y797z',
                  25:'16x45y798z',
                  26:'16x53y798z',
                  27:'171x559y545z',
                  28:'174x454y635z',
                  29:'175x712y319z',
                  30:'177x621y470z',
                  31:'180x678y384z',
                  32:'195x438y639z',
                  33:'198x544y551z',
                  34:'208x607y477z',
                  35:'211x698y326z',
                  36:'214x664y391z',
                  37:'215x422y644z',
                  38:'21x611y515z',
                  39:'224x528y557z',
                  40:'233x404y649z',
                  41:'238x591y483z',
                  42:'23x0y799z',
                  43:'23x745y289z',
                  44:'246x683y334z',
                  45:'247x648y397z',
                  46:'249x510y562z',
                  47:'250x386y654z',
                  48:'25x19y799z',
                  49:'266x367y658z',
                  50:'267x573y489z',
                  51:'272x492y568z',
                  52:'279x630y404z',
                  53:'27x522y604z',
                  54:'280x666y341z',
                  55:'281x347y663z',
                  56:'294x327y667z',
                  57:'294x554y496z',
                  58:'295x472y574z',
                  59:'306x306y671z',
                  60:'30x26y799z',
                  61:'310x611y411z',
                  62:'313x648y348z',
                  63:'316x451y579z',
                  64:'317x285y676z',
                  65:'320x533y502z',
                  66:'326x264y680z',
                  67:'334x243y684z',
                  68:'335x429y585z',
                  69:'339x590y418z',
                  70:'345x512y508z',
                  71:'345x627y355z',
                  72:'34x33y798z',
                  73:'353x407y590z',
                  74:'368x489y514z',
                  75:'368x568y425z',
                  76:'36x715y355z',
                  77:'370x383y596z',
                  78:'375x605y362z',
                  79:'385x359y601z',
                  80:'38x40y798z',
                  81:'390x465y520z',
                  82:'394x545y432z',
                  83:'399x335y606z',
                  84:'3x95y794z',
                  85:'404x582y369z',
                  86:'410x440y526z',
                  87:'411x310y611z',
                  88:'41x48y797z',
                  89:'420x520y438z',
                  90:'422x284y616z',
                  91:'429x414y532z',
                  92:'432x557y377z',
                  93:'43x57y796z',
                  94:'443x494y445z',
                  95:'446x388y538z',
                  96:'44x66y796z',
                  97:'458x531y384z',
                  98:'461x360y544z',
                  99:'465x467y452z',
                  100:'46x663y444z',
                  101:'475x333y550z',
                  102:'483x503y391z',
                  103:'486x439y458z',
                  104:'4x6y799z',
                  105:'505x410y465z',
                  106:'505x474y398z',
                  107:'50x84y894z',
                  108:'522x380y471z',
                  109:'527x445y404z',
                  110:'52x604y521z',
                  111:'546x414y411z',
                  112:'54x514y610z',
                  113:'62x740y297z',
                  114:'73x709y362z',
                  115:'7x87y795z',
                  116:'80x505y615z',
                  117:'80x655y451z',
                  118:'83x595y527z',
                  119:'8x13y799z'}
                             
# -------------------------------------------------------------------------------------------------
# 900
# -------------------------------------------------------------------------------------------------                                          
shot2one9004xi = {
                  1:'0x0y899z',
                  2:'0x1y899z',
                  3:'0x27y899z',
                  4:'0x595y674z',
                  5:'0x9y899z',
                  6:'113x824y342z',
                  7:'118x556y697z',
                  8:'123x788y416z',
                  9:'127x657y600z',
                  10:'127x727y514z',
                  11:'12x753y492z',
                  12:'12x88y895z',
                  13:'13x23y899z',
                  14:'145x542y703z',
                  15:'155x813y351z',
                  16:'15x32y899z',
                  17:'15x79y896z',
                  18:'160x644y607z',
                  19:'163x776y424z',
                  20:'164x714y522z',
                  21:'171x527y709z',
                  22:'17x41y898z',
                  23:'17x69y897z',
                  24:'18x50y898z',
                  25:'18x60y897z',
                  26:'192x629y613z',
                  27:'196x510y714z',
                  28:'197x801y359z',
                  29:'1x18y899z',
                  30:'200x699y529z',
                  31:'203x762y432z',
                  32:'219x493y719z',
                  33:'222x612y620z',
                  34:'234x683y536z',
                  35:'237x786y367z',
                  36:'241x474y725z',
                  37:'241x747y439z',
                  38:'24x687y580z',
                  39:'252x594y626z',
                  40:'262x455y730z',
                  41:'268x664y543z',
                  42:'26x0y899z',
                  43:'26x838y326z',
                  44:'277x769y375z',
                  45:'278x729y447z',
                  46:'280x574y633z',
                  47:'282x434y735z',
                  48:'28x22y899z',
                  49:'300x413y740z',
                  50:'300x645y551z',
                  51:'306x553y639z',
                  52:'30x588y680z',
                  53:'314x709y455z',
                  54:'315x750y383z',
                  55:'316x391y746z',
                  56:'331x368y751z',
                  57:'331x623y558z',
                  58:'332x531y646z',
                  59:'33x29y898z',
                  60:'345x345y755z',
                  61:'349x688y463z',
                  62:'352x729y392z',
                  63:'355x507y652z',
                  64:'357x321y760z',
                  65:'360x600y565z',
                  66:'367x297y765z',
                  67:'376x273y770z',
                  68:'377x483y658z',
                  69:'382x664y470z',
                  70:'388x576y572z',
                  71:'388x706y400z',
                  72:'38x37y898z',
                  73:'398x458y664z',
                  74:'40x805y400z',
                  75:'414x550y579z',
                  76:'414x639y478z',
                  77:'417x431y670z',
                  78:'422x681y408z',
                  79:'42x45y897z',
                  80:'434x404y676z',
                  81:'438x523y585z',
                  82:'444x613y486z',
                  83:'449x377y682z',
                  84:'455x655y416z',
                  85:'461x495y592z',
                  86:'463x349y688z',
                  87:'46x55y897z',
                  88:'472x585y493z',
                  89:'475x320y694z',
                  90:'482x466y599z',
                  91:'486x627y424z',
                  92:'48x64y896z',
                  93:'499x556y501z',
                  94:'4x107y893z',
                  95:'501x436y606z',
                  96:'50x74y895z',
                  97:'516x597y432z',
                  98:'519x406y612z',
                  99:'51x746y499z',
                  100:'524x525y508z',
                  101:'534x374y619z',
                  102:'543x566y439z',
                  103:'547x494y516z',
                  104:'568x461y523z',
                  105:'569x534y447z',
                  106:'56x94y993z',
                  107:'587x428y530z',
                  108:'592x500y455z',
                  109:'59x679y587z',
                  110:'5x7y899z',
                  111:'60x579y686z',
                  112:'614x466y463z',
                  113:'70x832y334z',
                  114:'82x797y408z',
                  115:'8x98y894z',
                  116:'90x568y692z',
                  117:'90x737y507z',
                  118:'94x669y593z',
                  119:'9x15y899z'}
                                          
# -------------------------------------------------------------------------------------------------
# 1000
# -------------------------------------------------------------------------------------------------                                          
shot2one10004xi = {
                  1:'0x0y999z',
                  2:'0x1y999z',
                  3:'0x30y999z',
                  4:'0x662y749z',
                  5:'100x631y768z',
                  6:'100x819y563z',
                  7:'104x744y659z',
                  8:'10x16y999z',
                  9:'125x916y380z',
                  10:'131x617y775z',
                  11:'137x875y462z',
                  12:'142x731y667z',
                  13:'142x807y572z',
                  14:'14x26y999z',
                  15:'14x836y547z',
                  16:'14x98y995z',
                  17:'161x602y781z',
                  18:'172x904y390z',
                  19:'178x716y674z',
                  20:'17x35y999z',
                  21:'17x88y995z',
                  22:'182x793y580z',
                  23:'182x863y471z',
                  24:'190x585y787z',
                  25:'19x45y998z',
                  26:'19x77y996z',
                  27:'1x10y999z',
                  28:'1x20y999z',
                  29:'20x56y998z',
                  30:'20x66y997z',
                  31:'213x699y682z',
                  32:'217x567y793z',
                  33:'218x890y399z',
                  34:'222x777y588z',
                  35:'225x847y480z',
                  36:'244x548y799z',
                  37:'247x680y689z',
                  38:'260x759y596z',
                  39:'264x873y408z',
                  40:'268x527y805z',
                  41:'268x830y488z',
                  42:'26x763y644z',
                  43:'280x660y696z',
                  44:'291x505y811z',
                  45:'298x738y604z',
                  46:'29x0y999z',
                  47:'29x931y362z',
                  48:'308x854y417z',
                  49:'309x810y497z',
                  50:'311x638y703z',
                  51:'313x482y817z',
                  52:'31x24y999z',
                  53:'333x459y823z',
                  54:'333x716y612z',
                  55:'341x615y710z',
                  56:'349x788y506z',
                  57:'34x653y756z',
                  58:'350x833y426z',
                  59:'352x434y828z',
                  60:'367x692y620z',
                  61:'368x409y834z',
                  62:'368x590y717z',
                  63:'37x32y998z',
                  64:'383x383y839z',
                  65:'388x764y514z',
                  66:'391x810y435z',
                  67:'395x564y724z',
                  68:'397x357y845z',
                  69:'400x667y627z',
                  70:'408x330y850z',
                  71:'418x304y855z',
                  72:'419x537y731z',
                  73:'424x738y523z',
                  74:'431x640y635z',
                  75:'431x784y444z',
                  76:'43x41y998z',
                  77:'442x508y738z',
                  78:'45x894y444z',
                  79:'460x611y643z',
                  80:'460x711y531z',
                  81:'463x479y745z',
                  82:'469x757y453z',
                  83:'47x51y997z',
                  84:'482x449y751z',
                  85:'487x581y651z',
                  86:'493x681y540z',
                  87:'499x419y758z',
                  88:'4x119y992z',
                  89:'506x727y462z',
                  90:'512x550y658z',
                  91:'514x387y764z',
                  92:'51x61y996z',
                  93:'525x650y548z',
                  94:'527x356y771z',
                  95:'536x518y666z',
                  96:'540x696y471z',
                  97:'54x71y995z',
                  98:'554x618y556z',
                  99:'557x485y673z',
                  100:'55x82y995z',
                  101:'573x663y480z',
                  102:'576x451y680z',
                  103:'57x829y555z',
                  104:'582x584y565z',
                  105:'594x416y688z',
                  106:'5x8y999z',
                  107:'603x629y488z',
                  108:'607x549y573z',
                  109:'62x103y1093z',
                  110:'631x512y581z',
                  111:'632x593y497z',
                  112:'652x475y589z',
                  113:'658x556y506z',
                  114:'66x755y652z',
                  115:'67x643y762z',
                  116:'683x518y514z',
                  117:'77x925y371z',
                  118:'91x886y453z',
                  119:'9x109y993z'}  
                         
# -------------------------------------------------------------------------------------------------
# 1100
# -------------------------------------------------------------------------------------------------                                          
shot2one11004xi = {
                  1:'0x0y1099z',
                  2:'0x1y1099z',
                  3:'0x33y1099z',
                  4:'0x728y824z',
                  5:'100x975y498z',
                  6:'10x120y1093z',
                  7:'110x694y845z',
                  8:'110x901y620z',
                  9:'115x818y725z',
                  10:'11x18y1099z',
                  11:'138x1007y419z',
                  12:'144x679y852z',
                  13:'151x963y508z',
                  14:'156x804y734z',
                  15:'156x888y629z',
                  16:'15x108y1094z',
                  17:'15x920y601z',
                  18:'16x28y1099z',
                  19:'177x662y859z',
                  20:'190x994y429z',
                  21:'196x787y742z',
                  22:'19x39y1099z',
                  23:'19x96y1095z',
                  24:'1x11y1099z',
                  25:'1x22y1099z',
                  26:'200x949y518z',
                  27:'201x873y638z',
                  28:'209x644y866z',
                  29:'21x50y1098z',
                  30:'21x85y1096z',
                  31:'22x61y1098z',
                  32:'22x73y1097z',
                  33:'235x769y750z',
                  34:'239x624y873z',
                  35:'240x979y439z',
                  36:'244x855y647z',
                  37:'248x932y528z',
                  38:'268x603y879z',
                  39:'272x748y758z',
                  40:'287x835y655z',
                  41:'290x961y449z',
                  42:'295x580y886z',
                  43:'295x913y537z',
                  44:'29x840y709z',
                  45:'308x726y766z',
                  46:'321x556y892z',
                  47:'327x812y664z',
                  48:'32x0y1099z',
                  49:'32x1024y398z',
                  50:'338x940y459z',
                  51:'340x891y547z',
                  52:'342x702y774z',
                  53:'344x531y899z',
                  54:'34x27y1099z',
                  55:'366x505y905z',
                  56:'367x788y673z',
                  57:'375x676y781z',
                  58:'37x719y831z',
                  59:'384x867y556z',
                  60:'385x917y469z',
                  61:'387x478y911z',
                  62:'404x762y682z',
                  63:'405x450y917z',
                  64:'405x649y789z',
                  65:'41x36y1098z',
                  66:'422x422y923z',
                  67:'426x840y566z',
                  68:'431x891y479z',
                  69:'434x620y797z',
                  70:'436x393y929z',
                  71:'440x734y690z',
                  72:'449x363y935z',
                  73:'460x334y941z',
                  74:'461x590y804z',
                  75:'467x812y575z',
                  76:'474x704y699z',
                  77:'474x863y489z',
                  78:'47x45y1098z',
                  79:'486x559y812z',
                  80:'49x984y489z',
                  81:'506x672y707z',
                  82:'506x782y584z',
                  83:'509x527y819z',
                  84:'516x833y498z',
                  85:'52x56y1097z',
                  86:'530x494y826z',
                  87:'536x639y716z',
                  88:'542x749y594z',
                  89:'549x460y834z',
                  90:'556x800y508z',
                  91:'564x605y724z',
                  92:'566x426y841z',
                  93:'56x67y1096z',
                  94:'577x715y603z',
                  95:'580x391y848z',
                  96:'589x570y732z',
                  97:'594x766y518z',
                  98:'59x78y1095z',
                  99:'5x131y1092z',
                  100:'610x679y612z',
                  101:'613x533y740z',
                  102:'61x90y1094z',
                  103:'630x730y528z',
                  104:'634x496y748z',
                  105:'63x912y611z',
                  106:'640x642y621z',
                  107:'653x458y756z',
                  108:'664x692y537z',
                  109:'668x604y630z',
                  110:'67x112y1192z',
                  111:'694x564y639z',
                  112:'695x652y547z',
                  113:'6x8y1099z',
                  114:'717x523y648z',
                  115:'724x612y556z',
                  116:'72x830y717z',
                  117:'74x707y838z',
                  118:'751x569y566z',
                  119:'85x1017y408z'}
                             
# -------------------------------------------------------------------------------------------------
# 1200
# -------------------------------------------------------------------------------------------------                                          
shot2one12004xi = {
                  1:'0x0y1199z',
                  2:'0x36y1199z',
                  3:'0x794y899z',
                  4:'110x1063y544z',
                  5:'11x131y1192z',
                  6:'120x757y922z',
                  7:'120x983y676z',
                  8:'125x892y791z',
                  9:'12x20y1199z',
                  10:'150x1099y457z',
                  11:'157x741y930z',
                  12:'164x1051y554z',
                  13:'170x877y800z',
                  14:'170x969y686z',
                  15:'17x1004y656z',
                  16:'17x118y1194z',
                  17:'17x31y1199z',
                  18:'193x723y937z',
                  19:'1x12y1199z',
                  20:'1x24y1199z',
                  21:'207x1085y468z',
                  22:'20x105y1195z',
                  23:'214x859y809z',
                  24:'218x1035y565z',
                  25:'219x952y696z',
                  26:'21x43y1199z',
                  27:'228x702y945z',
                  28:'23x55y1198z',
                  29:'23x92y1196z',
                  30:'24x67y1197z',
                  31:'24x80y1197z',
                  32:'256x839y818z',
                  33:'261x681y952z',
                  34:'262x1068y479z',
                  35:'266x932y705z',
                  36:'270x1017y576z',
                  37:'292x657y959z',
                  38:'297x816y827z',
                  39:'313x910y715z',
                  40:'316x1048y490z',
                  41:'321x996y586z',
                  42:'322x633y967z',
                  43:'32x916y773z',
                  44:'336x792y835z',
                  45:'350x606y974z',
                  46:'357x886y725z',
                  47:'35x0y1199z',
                  48:'35x1117y434z',
                  49:'369x1025y501z',
                  50:'371x972y596z',
                  51:'373x766y844z',
                  52:'376x579y981z',
                  53:'37x29y1199z',
                  54:'400x551y987z',
                  55:'400x860y734z',
                  56:'409x738y852z',
                  57:'419x946y607z',
                  58:'41x784y907z',
                  59:'420x1000y511z',
                  60:'422x521y994z',
                  61:'441x831y744z',
                  62:'442x491y1001z',
                  63:'442x708y861z',
                  64:'45x39y1198z',
                  65:'460x460y1007z',
                  66:'465x917y617z',
                  67:'470x972y522z',
                  68:'474x677y869z',
                  69:'476x428y1014z',
                  70:'480x800y753z',
                  71:'490x397y1020z',
                  72:'502x364y1027z',
                  73:'503x644y877z',
                  74:'509x886y627z',
                  75:'517x768y762z',
                  76:'518x941y533z',
                  77:'51x49y1197z',
                  78:'530x610y886z',
                  79:'54x1073y533z',
                  80:'552x733y772z',
                  81:'552x853y638z',
                  82:'556x575y894z',
                  83:'563x908y544z',
                  84:'578x539y902z',
                  85:'57x61y1197z',
                  86:'585x698y781z',
                  87:'592x817y648z',
                  88:'599x502y909z',
                  89:'5x143y1191z',
                  90:'607x873y554z',
                  91:'615x660y790z',
                  92:'617x465y917z',
                  93:'61x73y1196z',
                  94:'630x780y658z',
                  95:'633x427y925z',
                  96:'643x622y799z',
                  97:'648x836y565z',
                  98:'65x86y1195z',
                  99:'665x741y668z',
                  100:'669x582y808z',
                  101:'67x112y1192z',
                  102:'67x99y1194z',
                  103:'688x796y576z',
                  104:'692x541y817z',
                  105:'698x701y678z',
                  106:'69x995y666z',
                  107:'6x9y1199z',
                  108:'712x499y825z',
                  109:'724x755y586z',
                  110:'729x658y688z',
                  111:'73x137y1290z',
                  112:'757x615y697z',
                  113:'758x712y597z',
                  114:'783x570y707z',
                  115:'790x667y607z',
                  116:'79x906y782z',
                  117:'819x621y617z',
                  118:'81x772y915z',
                  119:'93x1110y445z'}
                                    
# -------------------------------------------------------------------------------------------------
# 1300
# -------------------------------------------------------------------------------------------------                                          
shot2one13004xi = {
                  1:'0x0y1299z',
                  2:'0x39y1299z',
                  3:'0x860y974z',
                  4:'101x1202y483z',
                  5:'119x1152y589z',
                  6:'12x142y1292z',
                  7:'130x1065y732z',
                  8:'130x820y999z',
                  9:'135x967y857z',
                  10:'13x22y1299z',
                  11:'163x1190y495z',
                  12:'170x803y1007z',
                  13:'178x1138y601z',
                  14:'184x1050y743z',
                  15:'184x950y867z',
                  16:'18x1087y711z',
                  17:'18x128y1293z',
                  18:'19x34y1299z',
                  19:'1x13y1299z',
                  20:'1x26y1299z',
                  21:'209x783y1016z',
                  22:'224x1175y507z',
                  23:'22x114y1294z',
                  24:'22x46y1298z',
                  25:'232x930y877z',
                  26:'236x1121y612z',
                  27:'237x1031y754z',
                  28:'247x761y1024z',
                  29:'25x100y1295z',
                  30:'25x59y1298z',
                  31:'26x73y1297z',
                  32:'26x86y1296z',
                  33:'277x909y886z',
                  34:'283x737y1032z',
                  35:'284x1157y519z',
                  36:'289x1010y764z',
                  37:'293x1102y624z',
                  38:'317x712y1039z',
                  39:'322x884y896z',
                  40:'339x986y775z',
                  41:'343x1135y531z',
                  42:'348x1079y635z',
                  43:'349x685y1047z',
                  44:'34x993y838z',
                  45:'364x858y905z',
                  46:'379x657y1055z',
                  47:'387x960y785z',
                  48:'38x0y1299z',
                  49:'38x1211y471z',
                  50:'400x1111y542z',
                  51:'402x1053y646z',
                  52:'404x830y914z',
                  53:'407x627y1062z',
                  54:'41x31y1298z',
                  55:'433x596y1070z',
                  56:'433x931y795z',
                  57:'443x799y924z',
                  58:'44x849y982z',
                  59:'454x1025y657z',
                  60:'455x1083y554z',
                  61:'457x565y1077z',
                  62:'478x900y806z',
                  63:'479x532y1084z',
                  64:'479x767y933z',
                  65:'498x498y1091z',
                  66:'49x42y1298z',
                  67:'504x993y669z',
                  68:'509x1053y566z',
                  69:'513x733y942z',
                  70:'516x464y1098z',
                  71:'520x867y816z',
                  72:'531x430y1105z',
                  73:'543x395y1112z',
                  74:'545x698y951z',
                  75:'552x960y680z',
                  76:'560x832y826z',
                  77:'561x1020y578z',
                  78:'56x54y1297z',
                  79:'575x661y959z',
                  80:'598x795y836z',
                  81:'598x924y691z',
                  82:'59x1162y577z',
                  83:'5x155y1290z',
                  84:'602x623y968z',
                  85:'610x984y589z',
                  86:'627x584y977z',
                  87:'62x66y1296z',
                  88:'633x756y846z',
                  89:'641x886y702z',
                  90:'649x544y985z',
                  91:'658x946y601z',
                  92:'666x715y856z',
                  93:'668x504y994z',
                  94:'66x79y1295z',
                  95:'682x845y713z',
                  96:'686x462y1002z',
                  97:'697x673y865z',
                  98:'702x905y612z',
                  99:'70x93y1294z',
                  100:'721x803y723z',
                  101:'724x630y875z',
                  102:'72x107y1293z',
                  103:'73x122y1292z',
                  104:'745x863y624z',
                  105:'749x586y885z',
                  106:'74x1078y722z',
                  107:'757x759y734z',
                  108:'772x541y894z',
                  109:'785x818y635z',
                  110:'78x147y1389z',
                  111:'790x713y745z',
                  112:'7x10y1299z',
                  113:'820x666y756z',
                  114:'822x771y646z',
                  115:'848x618y766z',
                  116:'856x723y658z',
                  117:'85x981y847z',
                  118:'87x836y991z',
                  119:'887x673y669z'}
                  
                         
# -------------------------------------------------------------------------------------------------
# 1400
# -------------------------------------------------------------------------------------------------                                          
shot2one14004xi = {
                  1:'0x0y1399z',
                  2:'0x42y1399z',
                  3:'0x926y1049z',
                  4:'109x1295y520z',
                  5:'128x1241y634z',
                  6:'13x153y1391z',
                  7:'140x1147y789z',
                  8:'140x884y1076z',
                  9:'146x1041y923z',
                  10:'14x23y1399z',
                  11:'176x1282y533z',
                  12:'183x864y1085z',
                  13:'192x1226y647z',
                  14:'198x1023y934z',
                  15:'198x1131y800z',
                  16:'19x1171y766z',
                  17:'19x138y1393z',
                  18:'1x14y1399z',
                  19:'1x28y1399z',
                  20:'20x36y1399z',
                  21:'226x843y1094z',
                  22:'241x1266y546z',
                  23:'249x1002y944z',
                  24:'24x123y1394z',
                  25:'24x50y1398z',
                  26:'254x1208y659z',
                  27:'255x1111y812z',
                  28:'266x820y1102z',
                  29:'27x108y1395z',
                  30:'27x64y1398z',
                  31:'28x78y1397z',
                  32:'28x93y1396z',
                  33:'299x979y954z',
                  34:'305x794y1111z',
                  35:'306x1246y559z',
                  36:'311x1088y823z',
                  37:'315x1186y672z',
                  38:'341x767y1119z',
                  39:'346x953y965z',
                  40:'365x1062y834z',
                  41:'369x1223y571z',
                  42:'375x1162y684z',
                  43:'376x738y1128z',
                  44:'37x1069y902z',
                  45:'392x924y975z',
                  46:'408x708y1136z',
                  47:'417x1034y846z',
                  48:'41x1304y507z',
                  49:'431x1196y584z',
                  50:'433x1134y696z',
                  51:'436x893y985z',
                  52:'439x676y1144z',
                  53:'44x34y1398z',
                  54:'467x1003y857z',
                  55:'467x642y1152z',
                  56:'477x861y995z',
                  57:'47x915y1058z',
                  58:'489x1103y708z',
                  59:'490x1167y597z',
                  60:'492x608y1160z',
                  61:'515x969y868z',
                  62:'516x573y1168z',
                  63:'516x826y1004z',
                  64:'52x45y1398z',
                  65:'537x537y1175z',
                  66:'543x1070y720z',
                  67:'548x1134y609z',
                  68:'553x790y1014z',
                  69:'555x500y1183z',
                  70:'560x934y879z',
                  71:'572x463y1190z',
                  72:'585x425y1198z',
                  73:'587x752y1024z',
                  74:'594x1034y732z',
                  75:'603x896y890z',
                  76:'604x1098y622z',
                  77:'60x58y1397z',
                  78:'619x712y1033z',
                  79:'63x1252y622z',
                  80:'644x856y900z',
                  81:'644x995y744z',
                  82:'648x671y1043z',
                  83:'657x1060y635z',
                  84:'66x71y1396z',
                  85:'675x629y1052z',
                  86:'682x814y911z',
                  87:'690x954y756z',
                  88:'699x586y1061z',
                  89:'6x167y1389z',
                  90:'708x1019y647z',
                  91:'718x770y922z',
                  92:'720x542y1070z',
                  93:'72x85y1395z',
                  94:'735x910y768z',
                  95:'738x498y1079z',
                  96:'750x725y932z',
                  97:'757x975y659z',
                  98:'75x100y1394z',
                  99:'776x865y779z',
                  100:'780x679y942z',
                  101:'78x115y1393z',
                  102:'78x147y1389z',
                  103:'79x131y1391z',
                  104:'802x929y672z',
                  105:'807x631y953z',
                  106:'80x1161y777z',
                  107:'815x817y791z',
                  108:'82x176y1487z',
                  109:'831x583y963z',
                  110:'845x881y684z',
                  111:'851x768y802z',
                  112:'883x718y814z',
                  113:'885x831y696z',
                  114:'8x11y1399z',
                  115:'913x666y825z',
                  116:'922x779y708z',
                  117:'92x1057y913z',
                  118:'94x900y1067z',
                  119:'956x725y720z'}
                         
# -------------------------------------------------------------------------------------------------
# 1500
# -------------------------------------------------------------------------------------------------                                          
shot2one15004xi = {
                  1:'0x0y1499z',
                  2:'0x45y1499z',
                  3:'0x993y1124z',
                  4:'101x965y1143z',
                  5:'1024x777y772z',
                  6:'116x1387y557z',
                  7:'137x1329y680z',
                  8:'14x164y1490z',
                  9:'150x1229y845z',
                  10:'150x947y1153z',
                  11:'156x1116y989z',
                  12:'15x25y1499z',
                  13:'188x1374y571z',
                  14:'196x926y1162z',
                  15:'1x15y1499z',
                  16:'1x30y1499z',
                  17:'205x1313y693z',
                  18:'213x1096y1000z',
                  19:'213x1211y858z',
                  20:'21x1255y820z',
                  21:'21x148y1492z',
                  22:'21x39y1499z',
                  23:'242x903y1172z',
                  24:'259x1356y585z',
                  25:'267x1074y1012z',
                  26:'26x132y1493z',
                  27:'26x53y1498z',
                  28:'273x1294y706z',
                  29:'274x1190y870z',
                  30:'285x878y1181z',
                  31:'29x116y1495z',
                  32:'29x68y1498z',
                  33:'30x100y1496z',
                  34:'31x84y1497z',
                  35:'320x1048y1023z',
                  36:'326x851y1190z',
                  37:'328x1335y598z',
                  38:'333x1166y882z',
                  39:'338x1271y720z',
                  40:'366x822y1199z',
                  41:'371x1021y1034z',
                  42:'391x1138y894z',
                  43:'396x1310y612z',
                  44:'402x1245y733z',
                  45:'403x791y1208z',
                  46:'40x1145y967z',
                  47:'420x990y1044z',
                  48:'437x758y1217z',
                  49:'447x1108y906z',
                  50:'44x1397y543z',
                  51:'462x1282y626z',
                  52:'464x1215y746z',
                  53:'467x957y1055z',
                  54:'470x724y1226z',
                  55:'47x36y1498z',
                  56:'500x1075y918z',
                  57:'500x688y1234z',
                  58:'511x922y1066z',
                  59:'51x980y1134z',
                  60:'524x1182y759z',
                  61:'526x1250y639z',
                  62:'528x652y1243z',
                  63:'551x1039y930z',
                  64:'553x614y1251z',
                  65:'553x885y1076z',
                  66:'56x49y1498z',
                  67:'575x575y1259z',
                  68:'582x1146y772z',
                  69:'587x1215y653z',
                  70:'592x846y1087z',
                  71:'595x536y1268z',
                  72:'600x1000y941z',
                  73:'612x496y1275z',
                  74:'627x456y1283z',
                  75:'629x805y1097z',
                  76:'637x1108y784z',
                  77:'646x960y953z',
                  78:'647x1177y666z',
                  79:'64x62y1497z',
                  80:'663x763y1107z',
                  81:'68x1341y666z',
                  82:'690x1066y797z',
                  83:'690x917y965z',
                  84:'695x719y1117z',
                  85:'6x179y1489z',
                  86:'704x1135y680z',
                  87:'71x76y1496z',
                  88:'723x674y1127z',
                  89:'731x872y976z',
                  90:'740x1022y810z',
                  91:'749x628y1137z',
                  92:'759x1091y693z',
                  93:'769x825y987z',
                  94:'771x581y1147z',
                  95:'77x91y1495z',
                  96:'787x975y822z',
                  97:'791x534y1156z',
                  98:'804x777y999z',
                  99:'811x1045y706z',
                  100:'81x107y1493z',
                  101:'832x927y835z',
                  102:'836x727y1010z',
                  103:'83x124y1492z',
                  104:'84x141y1490z',
                  105:'84x158y1489z',
                  106:'860x995y720z',
                  107:'865x676y1021z',
                  108:'86x1244y833z',
                  109:'873x876y847z',
                  110:'87x187y1586z',
                  111:'891x624y1032z',
                  112:'8x12y1499z',
                  113:'905x944y733z',
                  114:'911x823y860z',
                  115:'947x769y872z',
                  116:'948x890y746z',
                  117:'978x713y884z',
                  118:'988x834y759z',
                  119:'99x1132y978z'}
                  
# -------------------------------------------------------------------------------------------------
# 1600
# -------------------------------------------------------------------------------------------------                                          
shot2one16004xi = {
                  1:'0x0y1599z',
                  2:'0x1059y1199z',
                  3:'0x48y1599z',
                  4:'1010x820y930z',
                  5:'1011x949y796z',
                  6:'1044x761y943z',
                  7:'1054x890y809z',
                  8:'105x1208y1043z',
                  9:'108x1029y1220z',
                  10:'1092x829y823z',
                  11:'124x1480y594z',
                  12:'146x1418y725z',
                  13:'15x174y1590z',
                  14:'160x1010y1230z',
                  15:'160x1311y902z',
                  16:'167x1190y1055z',
                  17:'17x27y1599z',
                  18:'1x16y1599z',
                  19:'1x32y1599z',
                  20:'201x1465y609z',
                  21:'210x988y1240z',
                  22:'219x1401y739z',
                  23:'227x1169y1067z',
                  24:'227x1292y915z',
                  25:'22x1339y875z',
                  26:'22x158y1592z',
                  27:'23x41y1599z',
                  28:'258x964y1250z',
                  29:'276x1447y624z',
                  30:'27x141y1593z',
                  31:'285x1145y1079z',
                  32:'28x57y1598z',
                  33:'291x1380y753z',
                  34:'292x1269y928z',
                  35:'304x937y1260z',
                  36:'31x123y1594z',
                  37:'31x73y1597z',
                  38:'33x106y1596z',
                  39:'33x90y1597z',
                  40:'342x1118y1091z',
                  41:'348x908y1270z',
                  42:'350x1424y638z',
                  43:'355x1243y941z',
                  44:'361x1356y768z',
                  45:'390x877y1279z',
                  46:'396x1089y1102z',
                  47:'417x1214y954z',
                  48:'422x1397y653z',
                  49:'429x1328y782z',
                  50:'42x1222y1031z',
                  51:'430x844y1289z',
                  52:'448x1056y1114z',
                  53:'467x809y1298z',
                  54:'476x1182y966z',
                  55:'47x1490y579z',
                  56:'492x1367y668z',
                  57:'495x1296y795z',
                  58:'498x1021y1125z',
                  59:'501x772y1308z',
                  60:'50x39y1598z',
                  61:'533x734y1317z',
                  62:'534x1146y979z',
                  63:'545x984y1137z',
                  64:'54x1045y1209z',
                  65:'559x1261y809z',
                  66:'561x1333y682z',
                  67:'563x695y1326z',
                  68:'588x1108y992z',
                  69:'589x655y1335z',
                  70:'590x944y1148z',
                  71:'60x52y1598z',
                  72:'613x613y1343z',
                  73:'620x1223y823z',
                  74:'627x1296y697z',
                  75:'632x903y1159z',
                  76:'635x571y1352z',
                  77:'640x1067y1004z',
                  78:'653x529y1361z',
                  79:'669x486y1369z',
                  80:'671x859y1170z',
                  81:'679x1181y837z',
                  82:'690x1024y1017z',
                  83:'690x1255y711z',
                  84:'69x66y1597z',
                  85:'707x814y1181z',
                  86:'72x1431y711z',
                  87:'736x1137y850z',
                  88:'736x978y1029z',
                  89:'741x767y1192z',
                  90:'751x1211y725z',
                  91:'76x81y1596z',
                  92:'771x719y1202z',
                  93:'780x930y1041z',
                  94:'789x1090y864z',
                  95:'799x670y1213z',
                  96:'7x191y1588z',
                  97:'809x1164y739z',
                  98:'820x880y1053z',
                  99:'823x620y1223z',
                  100:'82x97y1594z',
                  101:'840x1040y877z',
                  102:'844x569y1233z',
                  103:'858x829y1065z',
                  104:'865x1114y754z',
                  105:'86x114y1593z',
                  106:'887x988y891z',
                  107:'892x776y1077z',
                  108:'89x132y1592z',
                  109:'90x150y1590z',
                  110:'90x169y1588z',
                  111:'917x1062y768z',
                  112:'923x721y1089z',
                  113:'92x1327y888z',
                  114:'931x934y904z',
                  115:'93x199y1685z',
                  116:'950x666y1101z',
                  117:'966x1007y782z',
                  118:'972x878y917z',
                  119:'9x13y1599z'}
                         
# -------------------------------------------------------------------------------------------------
# 1700
# -------------------------------------------------------------------------------------------------                                          
shot2one17004xi = {
                  1:'0x0y1699z',
                  2:'0x1125y1274z',
                  3:'0x51y1699z',
                  4:'1010x708y1169z',
                  5:'1026x1070y831z',
                  6:'1033x933y974z',
                  7:'1073x872y988z',
                  8:'1075x1009y845z',
                  9:'1109x808y1002z',
                  10:'1120x946y860z',
                  11:'112x1283y1108z',
                  12:'114x1093y1296z',
                  13:'1161x880y875z',
                  14:'132x1572y631z',
                  15:'155x1507y770z',
                  16:'16x185y1689z',
                  17:'170x1073y1307z',
                  18:'170x1393y958z',
                  19:'177x1264y1121z',
                  20:'18x28y1699z',
                  21:'1x17y1699z',
                  22:'1x34y1699z',
                  23:'213x1557y647z',
                  24:'223x1050y1318z',
                  25:'233x1489y786z',
                  26:'241x1242y1134z',
                  27:'241x1373y972z',
                  28:'24x1422y930z',
                  29:'24x168y1691z',
                  30:'24x44y1699z',
                  31:'274x1024y1328z',
                  32:'293x1537y663z',
                  33:'29x149y1693z',
                  34:'303x1217y1147z',
                  35:'309x1467y801z',
                  36:'30x61y1698z',
                  37:'310x1349y986z',
                  38:'323x995y1339z',
                  39:'33x131y1694z',
                  40:'33x78y1697z',
                  41:'35x113y1695z',
                  42:'35x95y1696z',
                  43:'363x1188y1159z',
                  44:'370x965y1349z',
                  45:'372x1513y678z',
                  46:'378x1321y1000z',
                  47:'383x1441y816z',
                  48:'414x931y1359z',
                  49:'421x1157y1171z',
                  50:'443x1290y1013z',
                  51:'448x1485y694z',
                  52:'456x1411y830z',
                  53:'456x896y1370z',
                  54:'45x1298y1095z',
                  55:'476x1122y1184z',
                  56:'496x859y1380z',
                  57:'506x1256y1027z',
                  58:'50x1583y615z',
                  59:'523x1453y709z',
                  60:'526x1377y845z',
                  61:'529x1085y1196z',
                  62:'533x820y1389z',
                  63:'53x41y1698z',
                  64:'567x1218y1040z',
                  65:'567x780y1399z',
                  66:'579x1045y1208z',
                  67:'58x1111y1285z',
                  68:'594x1340y860z',
                  69:'596x1417y725z',
                  70:'598x738y1409z',
                  71:'625x1177y1054z',
                  72:'626x696y1418z',
                  73:'627x1003y1220z',
                  74:'64x55y1697z',
                  75:'652x652y1427z',
                  76:'659x1299y875z',
                  77:'666x1377y740z',
                  78:'671x959y1232z',
                  79:'674x607y1437z',
                  80:'680x1134y1067z',
                  81:'694x562y1446z',
                  82:'711x516y1454z',
                  83:'713x913y1243z',
                  84:'722x1255y889z',
                  85:'733x1088y1080z',
                  86:'733x1334y755z',
                  87:'73x70y1696z',
                  88:'752x865y1255z',
                  89:'77x1520y755z',
                  90:'782x1039y1093z',
                  91:'782x1208y903z',
                  92:'787x815y1266z',
                  93:'798x1287y771z',
                  94:'7x203y1687z',
                  95:'819x764y1277z',
                  96:'81x86y1695z',
                  97:'828x988y1106z',
                  98:'839x1158y918z',
                  99:'849x712y1289z',
                  100:'860x1237y786z',
                  101:'871x936y1119z',
                  102:'874x659y1300z',
                  103:'87x103y1694z',
                  104:'892x1106y932z',
                  105:'897x605y1310z',
                  106:'911x881y1132z',
                  107:'919x1184y801z',
                  108:'92x121y1693z',
                  109:'943x1050y946z',
                  110:'947x824y1144z',
                  111:'95x140y1691z',
                  112:'95x179y1687z',
                  113:'96x159y1689z',
                  114:'974x1128y816z',
                  115:'97x1410y944z',
                  116:'980x767y1157z',
                  117:'98x211y1784z',
                  118:'990x993y960z',
                  119:'9x13y1699z'}
                         
# -------------------------------------------------------------------------------------------------
# 1800
# -------------------------------------------------------------------------------------------------                                          
shot2one18004xi = {
                  1:'0x0y1799z',
                  2:'0x1191y1348z',
                  3:'0x54y1799z',
                  4:'1003x873y1212z',
                  5:'100x148y1791z',
                  6:'101x169y1789z',
                  7:'101x190y1787z',
                  8:'1032x1195y864z',
                  9:'1038x812y1225z',
                  10:'103x1493y999z',
                  11:'1048x1051y1017z',
                  12:'104x223y1883z',
                  13:'1069x749y1238z',
                  14:'1087x1133y879z',
                  15:'1094x988y1032z',
                  16:'10x14y1799z',
                  17:'1136x923y1046z',
                  18:'1138x1068y895z',
                  19:'1174x856y1061z',
                  20:'1185x1001y911z',
                  21:'118x1359y1174z',
                  22:'121x1158y1372z',
                  23:'1229x932y926z',
                  24:'140x1665y668z',
                  25:'165x1595y816z',
                  26:'17x196y1789z',
                  27:'180x1136y1384z',
                  28:'180x1475y1014z',
                  29:'188x1339y1187z',
                  30:'19x30y1799z',
                  31:'1x18y1799z',
                  32:'226x1648y685z',
                  33:'236x1112y1395z',
                  34:'247x1576y832z',
                  35:'255x1315y1201z',
                  36:'255x1454y1029z',
                  37:'25x1506y984z',
                  38:'25x177y1791z',
                  39:'26x47y1799z',
                  40:'290x1084y1406z',
                  41:'2x36y1799z',
                  42:'310x1627y702z',
                  43:'31x158y1792z',
                  44:'31x64y1798z',
                  45:'321x1289y1214z',
                  46:'327x1553y848z',
                  47:'329x1428y1044z',
                  48:'342x1054y1418z',
                  49:'35x139y1794z',
                  50:'35x82y1797z',
                  51:'37x101y1796z',
                  52:'37x120y1795z',
                  53:'384x1258y1227z',
                  54:'392x1021y1429z',
                  55:'394x1602y718z',
                  56:'400x1399y1058z',
                  57:'406x1525y864z',
                  58:'439x986y1439z',
                  59:'445x1225y1240z',
                  60:'469x1366y1073z',
                  61:'475x1572y735z',
                  62:'482x1494y879z',
                  63:'483x949y1450z',
                  64:'48x1375y1160z',
                  65:'504x1188y1253z',
                  66:'525x910y1461z',
                  67:'536x1329y1087z',
                  68:'53x1676y652z',
                  69:'554x1538y751z',
                  70:'557x1458y895z',
                  71:'560x1149y1266z',
                  72:'564x869y1471z',
                  73:'56x44y1798z',
                  74:'600x1290y1102z',
                  75:'600x826y1481z',
                  76:'613x1107y1279z',
                  77:'61x1176y1360z',
                  78:'629x1419y911z',
                  79:'631x1500y767z',
                  80:'633x782y1492z',
                  81:'662x1247y1116z',
                  82:'663x737y1502z',
                  83:'664x1062y1292z',
                  84:'67x58y1797z',
                  85:'690x690y1511z',
                  86:'698x1376y926z',
                  87:'705x1458y784z',
                  88:'711x1015y1304z',
                  89:'714x643y1521z',
                  90:'720x1201y1130z',
                  91:'735x595y1531z',
                  92:'753x547y1540z',
                  93:'755x967y1316z',
                  94:'764x1329y941z',
                  95:'776x1152y1144z',
                  96:'777x1412y800z',
                  97:'77x74y1796z',
                  98:'796x916y1329z',
                  99:'81x1610y800z',
                  100:'828x1100y1158z',
                  101:'828x1279y957z',
                  102:'834x863y1341z',
                  103:'845x1363y816z',
                  104:'85x91y1795z',
                  105:'868x809y1353z',
                  106:'877x1047y1171z',
                  107:'888x1226y972z',
                  108:'898x754y1364z',
                  109:'8x215y1787z',
                  110:'911x1310y832z',
                  111:'923x991y1185z',
                  112:'926x698y1376z',
                  113:'92x110y1794z',
                  114:'945x1171y987z',
                  115:'950x640y1388z',
                  116:'965x933y1198z',
                  117:'973x1254y848z',
                  118:'97x129y1792z',
                  119:'998x1112y1002z'}
                         
# -------------------------------------------------------------------------------------------------
# 1900
# -------------------------------------------------------------------------------------------------                                          
shot2one19004xi = {
                  1:'0x0y1899z',
                  2:'0x1257y1423z',
                  3:'0x57y1899z',
                  4:'1002x676y1465z',
                  5:'1018x984y1265z',
                  6:'1027x1323y895z',
                  7:'102x136y1892z',
                  8:'1054x1174y1058z',
                  9:'1059x921y1279z',
                  10:'106x157y1890z',
                  11:'107x178y1888z',
                  12:'107x200y1886z',
                  13:'1089x1261y912z',
                  14:'1096x857y1293z',
                  15:'109x1576y1055z',
                  16:'109x234y1983z',
                  17:'10x15y1899z',
                  18:'1106x1110y1073z',
                  19:'1128x791y1307z',
                  20:'1147x1196y928z',
                  21:'1155x1043y1089z',
                  22:'1199x974y1105z',
                  23:'1201x1127y945z',
                  24:'1239x903y1120z',
                  25:'1251x1057y961z',
                  26:'125x1434y1239z',
                  27:'128x1222y1448z',
                  28:'1297x984y978z',
                  29:'148x1757y706z',
                  30:'174x1684y861z',
                  31:'18x207y1888z',
                  32:'190x1199y1461z',
                  33:'190x1557y1071z',
                  34:'198x1413y1253z',
                  35:'20x32y1899z',
                  36:'238x1740y723z',
                  37:'249x1173y1473z',
                  38:'260x1664y878z',
                  39:'269x1534y1086z',
                  40:'26x1590y1039z',
                  41:'270x1389y1267z',
                  42:'27x187y1890z',
                  43:'27x49y1899z',
                  44:'2x19y1899z',
                  45:'2x38y1899z',
                  46:'306x1144y1485z',
                  47:'328x1718y741z',
                  48:'339x1360y1282z',
                  49:'33x167y1892z',
                  50:'33x68y1898z',
                  51:'345x1639y895z',
                  52:'347x1508y1102z',
                  53:'361x1113y1496z',
                  54:'37x147y1893z',
                  55:'37x87y1897z',
                  56:'39x106y1896z',
                  57:'39x126y1895z',
                  58:'406x1328y1295z',
                  59:'414x1078y1508z',
                  60:'415x1691y758z',
                  61:'422x1477y1117z',
                  62:'428x1610y912z',
                  63:'463x1041y1519z',
                  64:'470x1293y1309z',
                  65:'495x1442y1133z',
                  66:'501x1660y776z',
                  67:'509x1577y928z',
                  68:'50x1451y1224z',
                  69:'510x1002y1531z',
                  70:'532x1254y1323z',
                  71:'554x960y1542z',
                  72:'566x1403y1148z',
                  73:'56x1769y688z',
                  74:'585x1624y793z',
                  75:'588x1539y945z',
                  76:'591x1213y1337z',
                  77:'595x917y1553z',
                  78:'59x46y1898z',
                  79:'633x872y1564z',
                  80:'634x1361y1163z',
                  81:'647x1168y1350z',
                  82:'65x1241y1436z',
                  83:'664x1498y961z',
                  84:'666x1583y810z',
                  85:'668x825y1574z',
                  86:'699x1316y1178z',
                  87:'700x778y1585z',
                  88:'701x1121y1363z',
                  89:'71x62y1897z',
                  90:'729x729y1595z',
                  91:'737x1452y977z',
                  92:'744x1539y827z',
                  93:'750x1072y1376z',
                  94:'754x679y1606z',
                  95:'760x1267y1193z',
                  96:'776x628y1616z',
                  97:'795x577y1626z',
                  98:'797x1020y1389z',
                  99:'807x1403y994z',
                  100:'819x1216y1207z',
                  101:'820x1491y844z',
                  102:'82x79y1896z',
                  103:'840x967y1402z',
                  104:'86x1699y844z',
                  105:'874x1162y1222z',
                  106:'874x1350y1010z',
                  107:'880x911y1415z',
                  108:'892x1438y861z',
                  109:'8x227y1886z',
                  110:'90x97y1895z',
                  111:'916x854y1428z',
                  112:'926x1105y1236z',
                  113:'937x1295y1026z',
                  114:'948x796y1440z',
                  115:'961x1383y878z',
                  116:'974x1046y1251z',
                  117:'977x736y1452z',
                  118:'97x116y1893z',
                  119:'997x1236y1042z'}
                 
# -------------------------------------------------------------------------------------------------
# 2000
# -------------------------------------------------------------------------------------------------                                          
shot2one20004xi = {
                  1:'0x0y1999z',
                  2:'0x1324y1498z',
                  3:'0x60y1999z',
                  4:'1012x1455y924z',
                  5:'1025x1101y1317z',
                  6:'1029x775y1529z',
                  7:'102x122y1993z',
                  8:'1050x1301y1097z',
                  9:'1055x712y1542z',
                  10:'1072x1036y1332z',
                  11:'1081x1393y942z',
                  12:'108x143y1991z',
                  13:'1109x1236y1113z',
                  14:'1115x970y1347z',
                  15:'111x165y1990z',
                  16:'112x211y1985z',
                  17:'113x188y1987z',
                  18:'1146x1327y960z',
                  19:'1153x902y1361z',
                  20:'115x1659y1110z',
                  21:'115x246y2082z',
                  22:'1164x1168y1130z',
                  23:'1188x832y1376z',
                  24:'11x16y1999z',
                  25:'1207x1258y977z',
                  26:'1215x1098y1146z',
                  27:'1262x1025y1163z',
                  28:'1264x1187y995z',
                  29:'1305x951y1179z',
                  30:'1317x1112y1012z',
                  31:'132x1510y1304z',
                  32:'135x1286y1525z',
                  33:'1366x1036y1029z',
                  34:'155x1850y743z',
                  35:'183x1773y906z',
                  36:'19x218y1987z',
                  37:'200x1262y1537z',
                  38:'200x1639y1127z',
                  39:'209x1488y1319z',
                  40:'21x33y1999z',
                  41:'251x1832y761z',
                  42:'262x1235y1550z',
                  43:'274x1751y924z',
                  44:'284x1462y1334z',
                  45:'284x1615y1144z',
                  46:'28x1673y1094z',
                  47:'28x197y1990z',
                  48:'29x52y1999z',
                  49:'2x20y1999z',
                  50:'2x40y1999z',
                  51:'322x1205y1563z',
                  52:'345x1808y780z',
                  53:'34x176y1991z',
                  54:'357x1432y1349z',
                  55:'35x71y1998z',
                  56:'364x1726y942z',
                  57:'365x1587y1160z',
                  58:'380x1171y1575z',
                  59:'39x154y1993z',
                  60:'39x91y1997z',
                  61:'41x112y1996z',
                  62:'41x133y1995z',
                  63:'427x1398y1364z',
                  64:'435x1135y1587z',
                  65:'437x1780y798z',
                  66:'444x1554y1176z',
                  67:'451x1695y960z',
                  68:'488x1096y1599z',
                  69:'495x1361y1378z',
                  70:'521x1518y1192z',
                  71:'528x1747y816z',
                  72:'536x1660y977z',
                  73:'537x1055y1611z',
                  74:'53x1527y1289z',
                  75:'560x1320y1393z',
                  76:'583x1011y1623z',
                  77:'596x1477y1208z',
                  78:'59x1863y724z',
                  79:'616x1709y835z',
                  80:'619x1620y994z',
                  81:'622x1277y1407z',
                  82:'627x965y1635z',
                  83:'63x49y1998z',
                  84:'667x1433y1224z',
                  85:'667x918y1646z',
                  86:'682x1230y1421z',
                  87:'68x1307y1512z',
                  88:'699x1576y1012z',
                  89:'701x1667y853z',
                  90:'704x869y1657z',
                  91:'735x1385y1240z',
                  92:'737x1180y1435z',
                  93:'737x818y1668z',
                  94:'75x65y1997z',
                  95:'767x767y1679z',
                  96:'776x1529y1029z',
                  97:'783x1620y871z',
                  98:'790x1128y1449z',
                  99:'794x714y1690z',
                  100:'800x1334y1255z',
                  101:'817x661y1701z',
                  102:'836x608y1711z',
                  103:'839x1074y1463z',
                  104:'849x1477y1046z',
                  105:'862x1280y1271z',
                  106:'863x1569y889z',
                  107:'86x83y1996z',
                  108:'884x1017y1476z',
                  109:'90x1789y889z',
                  110:'920x1223y1286z',
                  111:'920x1422y1063z',
                  112:'926x959y1490z',
                  113:'939x1514y907z',
                  114:'95x102y1995z',
                  115:'964x899y1503z',
                  116:'975x1163y1302z',
                  117:'987x1363y1080z',
                  118:'998x838y1516z',
                  119:'9x239y1985z'}
                                       
# -------------------------------------------------------------------------------------------------
# 2100
# -------------------------------------------------------------------------------------------------                                          
shot2one21004xi = {
                  1:'0x0y2099z',
                  2:'0x1390y1573z',
                  3:'0x63y2099z',
                  4:'100x107y2094z',
                  5:'1012x944y1578z',
                  6:'1023x1221y1367z',
                  7:'1036x1431y1134z',
                  8:'1048x880y1592z',
                  9:'1063x1528y971z',
                  10:'1077x1156y1383z',
                  11:'1080x814y1605z',
                  12:'108x128y2093z',
                  13:'1102x1366y1152z',
                  14:'1108x747y1619z',
                  15:'1126x1088y1398z',
                  16:'1135x1463y989z',
                  17:'113x150y2091z',
                  18:'1165x1298y1169z',
                  19:'1170x1018y1414z',
                  20:'117x173y2089z',
                  21:'118x197y2087z',
                  22:'118x221y2084z',
                  23:'1204x1394y1008z',
                  24:'120x1742y1166z',
                  25:'120x258y2181z',
                  26:'1211x947y1429z',
                  27:'1223x1226y1186z',
                  28:'1247x874y1445z',
                  29:'1268x1321y1026z',
                  30:'1276x1153y1204z',
                  31:'12x17y2099z',
                  32:'1325x1077y1221z',
                  33:'1328x1246y1044z',
                  34:'1370x999y1238z',
                  35:'1383x1168y1063z',
                  36:'138x1585y1369z',
                  37:'142x1351y1601z',
                  38:'1434x1088y1081z',
                  39:'163x1942y780z',
                  40:'192x1861y952z',
                  41:'20x229y2087z',
                  42:'210x1326y1614z',
                  43:'210x1721y1183z',
                  44:'219x1562y1385z',
                  45:'22x35y2099z',
                  46:'264x1923y799z',
                  47:'275x1297y1628z',
                  48:'288x1839y970z',
                  49:'298x1535y1401z',
                  50:'298x1696y1201z',
                  51:'29x1757y1149z',
                  52:'29x207y2089z',
                  53:'2x21y2099z',
                  54:'2x42y2099z',
                  55:'30x55y2099z',
                  56:'339x1265y1641z',
                  57:'362x1899y819z',
                  58:'36x185y2091z',
                  59:'374x1503y1416z',
                  60:'37x75y2098z',
                  61:'382x1812y989z',
                  62:'383x1666y1218z',
                  63:'399x1230y1654z',
                  64:'41x162y2093z',
                  65:'41x96y2097z',
                  66:'43x118y2096z',
                  67:'43x140y2094z',
                  68:'448x1468y1432z',
                  69:'457x1192y1667z',
                  70:'459x1869y838z',
                  71:'467x1632y1235z',
                  72:'473x1780y1008z',
                  73:'512x1151y1679z',
                  74:'520x1429y1447z',
                  75:'547x1594y1252z',
                  76:'554x1834y857z',
                  77:'563x1743y1026z',
                  78:'564x1107y1692z',
                  79:'56x1604y1353z',
                  80:'588x1386y1462z',
                  81:'613x1062y1704z',
                  82:'61x1956y760z',
                  83:'625x1551y1269z',
                  84:'646x1795y876z',
                  85:'650x1701y1044z',
                  86:'654x1340y1477z',
                  87:'658x1014y1716z',
                  88:'66x51y2098z',
                  89:'700x1505y1285z',
                  90:'700x964y1728z',
                  91:'716x1291y1492z',
                  92:'71x1372y1587z',
                  93:'734x1655y1062z',
                  94:'736x1750y895z',
                  95:'739x912y1740z',
                  96:'772x1454y1302z',
                  97:'774x1239y1507z',
                  98:'774x859y1752z',
                  99:'79x68y2097z',
                  100:'805x805y1763z',
                  101:'814x1605y1080z',
                  102:'823x1701y914z',
                  103:'829x1185y1521z',
                  104:'833x750y1775z',
                  105:'840x1401y1318z',
                  106:'858x694y1786z',
                  107:'878x638y1797z',
                  108:'881x1128y1536z',
                  109:'892x1551y1098z',
                  110:'905x1344y1335z',
                  111:'906x1648y933z',
                  112:'90x87y2096z',
                  113:'929x1068y1550z',
                  114:'95x1878y933z',
                  115:'966x1284y1351z',
                  116:'966x1493y1116z',
                  117:'973x1007y1564z',
                  118:'986x1590y952z',
                  119:'9x251y2084z'}
                                    
# -------------------------------------------------------------------------------------------------
# 2200
# -------------------------------------------------------------------------------------------------                                          
shot2one22004xi = {
                  1:'0x0y2199z',
                  2:'0x1456y1648z',
                  3:'0x66y2199z',
                  4:'1012x1345y1415z',
                  5:'1012x1564y1169z',
                  6:'1019x1055y1639z',
                  7:'1033x1666y997z',
                  8:'105x112y2194z',
                  9:'1061x989y1653z',
                  10:'1072x1279y1432z',
                  11:'1085x1499y1188z',
                  12:'1098x921y1668z',
                  13:'10x263y2184z',
                  14:'1113x1601y1017z',
                  15:'1128x1211y1448z',
                  16:'1132x853y1682z',
                  17:'113x134y2192z',
                  18:'1155x1431y1206z',
                  19:'1161x783y1696z',
                  20:'1179x1140y1465z',
                  21:'1189x1532y1036z',
                  22:'119x157y2191z',
                  23:'1220x1359y1225z',
                  24:'1226x1067y1481z',
                  25:'123x181y2189z',
                  26:'123x232y2184z',
                  27:'124x206y2186z',
                  28:'1261x1460y1056z',
                  29:'1269x992y1497z',
                  30:'126x1824y1222z',
                  31:'126x270y2280z',
                  32:'1281x1285y1243z',
                  33:'12x17y2199z',
                  34:'1307x916y1513z',
                  35:'1328x1384y1075z',
                  36:'1337x1208y1261z',
                  37:'1389x1128y1279z',
                  38:'1391x1305y1094z',
                  39:'1435x1046y1297z',
                  40:'1449x1224y1113z',
                  41:'145x1661y1435z',
                  42:'148x1415y1677z',
                  43:'1502x1139y1132z',
                  44:'171x2035y817z',
                  45:'201x1950y997z',
                  46:'21x240y2186z',
                  47:'220x1389y1691z',
                  48:'220x1803y1240z',
                  49:'230x1636y1451z',
                  50:'23x37y2199z',
                  51:'276x2015y838z',
                  52:'288x1359y1705z',
                  53:'2x22y2199z',
                  54:'2x44y2199z',
                  55:'302x1927y1017z',
                  56:'312x1608y1468z',
                  57:'312x1777y1258z',
                  58:'31x1841y1203z',
                  59:'31x217y2189z',
                  60:'32x57y2199z',
                  61:'355x1325y1719z',
                  62:'380x1989y858z',
                  63:'38x193y2191z',
                  64:'38x78y2198z',
                  65:'392x1575y1484z',
                  66:'400x1898y1036z',
                  67:'402x1746y1276z',
                  68:'418x1288y1733z',
                  69:'43x101y2197z',
                  70:'43x170y2192z',
                  71:'45x123y2196z',
                  72:'45x147y2194z',
                  73:'470x1538y1500z',
                  74:'479x1248y1746z',
                  75:'481x1958y878z',
                  76:'489x1710y1294z',
                  77:'496x1865y1056z',
                  78:'536x1206y1759z',
                  79:'545x1497y1516z',
                  80:'574x1670y1311z',
                  81:'580x1922y898z',
                  82:'58x1680y1418z',
                  83:'590x1826y1075z',
                  84:'591x1160y1772z',
                  85:'616x1452y1532z',
                  86:'642x1112y1785z',
                  87:'64x2049y797z',
                  88:'655x1625y1329z',
                  89:'677x1880y918z',
                  90:'681x1782y1094z',
                  91:'685x1404y1548z',
                  92:'689x1062y1798z',
                  93:'69x54y2198z',
                  94:'733x1010y1811z',
                  95:'734x1576y1347z',
                  96:'750x1353y1563z',
                  97:'75x1438y1663z',
                  98:'768x1734y1113z',
                  99:'771x1834y938z',
                  100:'774x956y1823z',
                  101:'809x1524y1364z',
                  102:'811x1299y1579z',
                  103:'811x900y1835z',
                  104:'83x72y2197z',
                  105:'844x844y1847z',
                  106:'853x1681y1132z',
                  107:'862x1782y958z',
                  108:'869x1241y1594z',
                  109:'873x786y1859z',
                  110:'881x1468y1381z',
                  111:'898x727y1871z',
                  112:'920x668y1882z',
                  113:'923x1181y1609z',
                  114:'934x1625y1151z',
                  115:'948x1408y1398z',
                  116:'949x1726y978z',
                  117:'95x91y2196z',
                  118:'973x1119y1624z',
                  119:'99x1968y978z'}
                         
# -------------------------------------------------------------------------------------------------
# 2300
# -------------------------------------------------------------------------------------------------                                          
shot2one23004xi = {
                  1:'0x0y2299z',
                  2:'0x1522y1723z',
                  3:'0x69y2298z',
                  4:'1017x1170y1698z',
                  5:'104x2057y1022z',
                  6:'1058x1406y1479z',
                  7:'1058x1635y1223z',
                  8:'1065x1103y1713z',
                  9:'1080x1741y1043z',
                  10:'109x117y2294z',
                  11:'10x275y2283z',
                  12:'1109x1034y1728z',
                  13:'1121x1337y1497z',
                  14:'1135x1567y1242z',
                  15:'1148x963y1743z',
                  16:'1164x1674y1063z',
                  17:'1179x1266y1514z',
                  18:'1183x891y1758z',
                  19:'118x140y2292z',
                  20:'1207x1496y1261z',
                  21:'1213x818y1773z',
                  22:'1233x1192y1532z',
                  23:'1243x1602y1084z',
                  24:'124x164y2290z',
                  25:'1275x1421y1280z',
                  26:'1282x1116y1549z',
                  27:'128x190y2288z',
                  28:'129x242y2283z',
                  29:'130x216y2286z',
                  30:'1318x1526y1104z',
                  31:'131x281y2379z',
                  32:'1326x1037y1566z',
                  33:'132x1907y1277z',
                  34:'1339x1343y1299z',
                  35:'1366x957y1582z',
                  36:'1389x1447y1124z',
                  37:'1398x1263y1318z',
                  38:'13x18y2299z',
                  39:'1452x1179y1337z',
                  40:'1454x1365y1144z',
                  41:'1501x1094y1356z',
                  42:'1515x1279y1164z',
                  43:'151x1736y1500z',
                  44:'155x1479y1753z',
                  45:'1570x1191y1184z',
                  46:'179x2127y854z',
                  47:'211x2039y1043z',
                  48:'22x251y2286z',
                  49:'230x1452y1768z',
                  50:'230x1885y1296z',
                  51:'240x1711y1517z',
                  52:'24x38y2299z',
                  53:'289x2106y876z',
                  54:'2x23y2299z',
                  55:'2x46y2299z',
                  56:'302x1420y1783z',
                  57:'315x2014y1063z',
                  58:'326x1681y1534z',
                  59:'326x1858y1315z',
                  60:'32x1924y1258z',
                  61:'32x227y2288z',
                  62:'33x60y2298z',
                  63:'371x1385y1797z',
                  64:'397x2080y897z',
                  65:'40x202y2290z',
                  66:'40x82y2298z',
                  67:'410x1647y1551z',
                  68:'418x1984y1083z',
                  69:'420x1825y1334z',
                  70:'437x1347y1811z',
                  71:'45x105y2297z',
                  72:'45x178y2292z',
                  73:'47x129y2295z',
                  74:'47x153y2294z',
                  75:'491x1608y1568z',
                  76:'501x1305y1825z',
                  77:'503x2047y918z',
                  78:'511x1788y1353z',
                  79:'519x1949y1104z',
                  80:'561x1260y1839z',
                  81:'569x1565y1585z',
                  82:'600x1745y1371z',
                  83:'607x2009y939z',
                  84:'617x1909y1124z',
                  85:'618x1213y1853z',
                  86:'61x1757y1482z',
                  87:'644x1519y1602z',
                  88:'671x1163y1867z',
                  89:'67x2142y833z',
                  90:'685x1699y1390z',
                  91:'708x1966y960z',
                  92:'712x1863y1144z',
                  93:'716x1468y1618z',
                  94:'721x1110y1880z',
                  95:'72x56y2298z',
                  96:'767x1056y1893z',
                  97:'767x1648y1408z',
                  98:'784x1414y1634z',
                  99:'78x1503y1738z',
                  100:'803x1813y1164z',
                  101:'806x1917y981z',
                  102:'809x999y1906z',
                  103:'846x1593y1426z',
                  104:'848x1358y1650z',
                  105:'848x941y1919z',
                  106:'86x75y2297z',
                  107:'882x882y1931z',
                  108:'892x1758y1183z',
                  109:'901x1863y1002z',
                  110:'909x1298y1666z',
                  111:'913x822y1944z',
                  112:'921x1534y1444z',
                  113:'939x760y1956z',
                  114:'962x699y1968z',
                  115:'965x1235y1682z',
                  116:'977x1698y1203z',
                  117:'992x1472y1462z',
                  118:'992x1805y1022z',
                  119:'99x95y2295z'}
                         
# -------------------------------------------------------------------------------------------------
# 2400
# -------------------------------------------------------------------------------------------------                                          
shot2one24004xi = {
                  1:'0x0y2399z',
                  2:'0x1589y1798z',
                  3:'0x72y2398z',
                  4:'1004x729y2054z',
                  5:'1007x1289y1755z',
                  6:'1019x1772y1255z',
                  7:'1035x1536y1525z',
                  8:'1036x1883y1067z',
                  9:'103x99y2395z',
                  10:'1061x1221y1772z',
                  11:'109x2147y1066z',
                  12:'10x287y2382z',
                  13:'1104x1467y1544z',
                  14:'1104x1706y1276z',
                  15:'1112x1151y1788z',
                  16:'1127x1817y1088z',
                  17:'114x122y2394z',
                  18:'1157x1079y1804z',
                  19:'1170x1396y1562z',
                  20:'1184x1635y1296z',
                  21:'1198x1005y1819z',
                  22:'1214x1747y1109z',
                  23:'1230x1321y1580z',
                  24:'1235x930y1835z',
                  25:'123x146y2392z',
                  26:'1260x1561y1316z',
                  27:'1266x854y1850z',
                  28:'1287x1244y1598z',
                  29:'1297x1672y1131z',
                  30:'130x172y2390z',
                  31:'1331x1483y1336z',
                  32:'1338x1164y1616z',
                  33:'134x198y2388z',
                  34:'135x225y2385z',
                  35:'135x253y2382z',
                  36:'1376x1593y1152z',
                  37:'137x293y2478z',
                  38:'1384x1082y1634z',
                  39:'138x1990y1333z',
                  40:'1397x1402y1356z',
                  41:'13x19y2399z',
                  42:'1425x999y1651z',
                  43:'1449x1510y1173z',
                  44:'1459x1317y1376z',
                  45:'1515x1231y1395z',
                  46:'1517x1424y1194z',
                  47:'1566x1141y1415z',
                  48:'1581x1335y1214z',
                  49:'158x1812y1565z',
                  50:'162x1544y1830z',
                  51:'1639x1243y1235z',
                  52:'187x2220y891z',
                  53:'220x2127y1088z',
                  54:'23x262y2385z',
                  55:'240x1515y1845z',
                  56:'240x1967y1353z',
                  57:'250x1785y1583z',
                  58:'25x40y2399z',
                  59:'2x24y2399z',
                  60:'2x48y2399z',
                  61:'301x2198y914z',
                  62:'315x1482y1860z',
                  63:'329x2102y1109z',
                  64:'340x1938y1372z',
                  65:'341x1754y1601z',
                  66:'34x2008y1313z',
                  67:'34x237y2388z',
                  68:'35x62y2398z',
                  69:'387x1446y1875z',
                  70:'414x2170y936z',
                  71:'41x211y2390z',
                  72:'428x1718y1619z',
                  73:'42x86y2398z',
                  74:'436x2071y1130z',
                  75:'438x1904y1392z',
                  76:'456x1405y1890z',
                  77:'46x185y2392z',
                  78:'47x110y2396z',
                  79:'49x135y2395z',
                  80:'49x160y2394z',
                  81:'513x1678y1637z',
                  82:'522x1362y1905z',
                  83:'525x2136y958z',
                  84:'533x1865y1411z',
                  85:'541x2034y1152z',
                  86:'585x1315y1919z',
                  87:'594x1633y1654z',
                  88:'626x1821y1431z',
                  89:'633x2096y980z',
                  90:'643x1992y1173z',
                  91:'645x1266y1934z',
                  92:'64x1833y1547z',
                  93:'672x1585y1671z',
                  94:'700x1213y1948z',
                  95:'70x2235y869z',
                  96:'715x1773y1450z',
                  97:'739x2051y1002z',
                  98:'742x1944y1193z',
                  99:'747x1532y1688z',
                  100:'752x1159y1962z',
                  101:'75x58y2398z',
                  102:'800x1102y1975z',
                  103:'801x1720y1469z',
                  104:'818x1476y1705z',
                  105:'82x1568y1814z',
                  106:'838x1892y1214z',
                  107:'841x2000y1023z',
                  108:'844x1043y1989z',
                  109:'883x1662y1488z',
                  110:'884x982y2002z',
                  111:'885x1417y1722z',
                  112:'90x78y2397z',
                  113:'920x920y2015z',
                  114:'931x1834y1235z',
                  115:'940x1944y1045z',
                  116:'948x1354y1739z',
                  117:'952x857y2028z',
                  118:'961x1601y1507z',
                  119:'980x794y2041z'}
                         
# -------------------------------------------------------------------------------------------------
# 2500
# -------------------------------------------------------------------------------------------------                                          
shot2one25004xi = {
                  1:'0x0y2499z',
                  2:'0x1655y1873z',
                  3:'0x75y2498z',
                  4:'1001x1668y1569z',
                  5:'1021x827y2126z',
                  6:'1046x760y2139z',
                  7:'1049x1343y1828z',
                  8:'1062x1846y1308z',
                  9:'1078x1600y1589z',
                  10:'1079x1961y1111z',
                  11:'107x104y2495z',
                  12:'1106x1272y1845z',
                  13:'113x2236y1111z',
                  14:'1150x1529y1608z',
                  15:'1150x1777y1329z',
                  16:'1158x1199y1862z',
                  17:'1174x1893y1133z',
                  18:'119x127y2493z',
                  19:'11x299y2482z',
                  20:'1205x1124y1879z',
                  21:'1218x1454y1627z',
                  22:'1233x1704y1350z',
                  23:'1248x1047y1895z',
                  24:'1265x1819y1156z',
                  25:'1282x1376y1646z',
                  26:'1286x969y1911z',
                  27:'128x152y2492z',
                  28:'1312x1626y1371z',
                  29:'1319x890y1927z',
                  30:'1340x1296y1665z',
                  31:'1351x1741y1178z',
                  32:'135x179y2489z',
                  33:'1386x1545y1392z',
                  34:'1394x1213y1683z',
                  35:'139x206y2487z',
                  36:'140x264y2482z',
                  37:'141x235y2484z',
                  38:'142x305y2578z',
                  39:'1433x1659y1200z',
                  40:'143x2073y1388z',
                  41:'1442x1128y1702z',
                  42:'1455x1460y1412z',
                  43:'1485x1041y1720z',
                  44:'14x20y2499z',
                  45:'1509x1573y1222z',
                  46:'1519x1372y1433z',
                  47:'1578x1282y1453z',
                  48:'1581x1484y1243z',
                  49:'1631x1189y1474z',
                  50:'1647x1391y1265z',
                  51:'165x1887y1630z',
                  52:'169x1608y1906z',
                  53:'1707x1295y1287z',
                  54:'194x2312y929z',
                  55:'229x2216y1133z',
                  56:'24x273y2484z',
                  57:'250x1578y1922z',
                  58:'250x2049y1409z',
                  59:'261x1860y1649z',
                  60:'26x42y2499z',
                  61:'2x25y2499z',
                  62:'2x50y2499z',
                  63:'314x2290y952z',
                  64:'328x1544y1938z',
                  65:'343x2189y1155z',
                  66:'355x1827y1668z',
                  67:'355x2019y1430z',
                  68:'35x2092y1367z',
                  69:'35x247y2487z',
                  70:'36x65y2498z',
                  71:'403x1506y1953z',
                  72:'431x2261y975z',
                  73:'43x220y2489z',
                  74:'446x1790y1686z',
                  75:'44x89y2497z',
                  76:'455x2157y1178z',
                  77:'457x1984y1450z',
                  78:'475x1464y1969z',
                  79:'48x193y2492z',
                  80:'49x114y2496z',
                  81:'51x140y2495z',
                  82:'51x167y2493z',
                  83:'534x1748y1705z',
                  84:'544x1419y1984z',
                  85:'547x2225y998z',
                  86:'556x1943y1470z',
                  87:'564x2119y1200z',
                  88:'610x1370y1999z',
                  89:'619x1701y1723z',
                  90:'652x1897y1490z',
                  91:'660x2184y1021z',
                  92:'66x1909y1611z',
                  93:'670x2075y1221z',
                  94:'671x1318y2014z',
                  95:'700x1651y1741z',
                  96:'729x1264y2029z',
                  97:'73x2328y905z',
                  98:'745x1847y1510z',
                  99:'770x2137y1043z',
                  100:'773x2025y1243z',
                  101:'778x1596y1759z',
                  102:'784x1207y2043z',
                  103:'78x61y2498z',
                  104:'834x1148y2058z',
                  105:'834x1791y1530z',
                  106:'852x1538y1776z',
                  107:'85x1634y1890z',
                  108:'873x1971y1265z',
                  109:'876x2084y1066z',
                  110:'880x1086y2072z',
                  111:'919x1732y1550z',
                  112:'921x1023y2086z',
                  113:'922x1476y1794z',
                  114:'94x81y2496z',
                  115:'959x959y2099z',
                  116:'970x1911y1286z',
                  117:'979x2025y1089z',
                  118:'988x1411y1811z',
                  119:'992x893y2113z'}
                         
# -------------------------------------------------------------------------------------------------
# 2600
# -------------------------------------------------------------------------------------------------                                          
shot2one26004xi = {
                  1:'0x0y2599z',
                  2:'0x1721y1948z',
                  3:'0x78y2598z',
                  4:'1008x1987y1338z',
                  5:'1019x2106y1132z',
                  6:'1027x1467y1884z',
                  7:'1032x929y2197z',
                  8:'1041x1734y1632z',
                  9:'1062x860y2211z',
                  10:'1087x790y2225z',
                  11:'1091x1396y1902z',
                  12:'1104x1920y1360z',
                  13:'1121x1664y1652z',
                  14:'1122x2040y1156z',
                  15:'112x108y2595z',
                  16:'1150x1323y1919z',
                  17:'118x2325y1155z',
                  18:'1196x1590y1672z',
                  19:'1196x1848y1382z',
                  20:'11x311y2581z',
                  21:'1204x1247y1937z',
                  22:'1221x1969y1179z',
                  23:'124x132y2593z',
                  24:'1254x1169y1954z',
                  25:'1267x1512y1692z',
                  26:'1283x1772y1404z',
                  27:'1298x1089y1971z',
                  28:'1316x1892y1202z',
                  29:'1333x1431y1712z',
                  30:'1337x1008y1988z',
                  31:'133x159y2591z',
                  32:'1365x1691y1426z',
                  33:'1372x925y2004z',
                  34:'1394x1347y1731z',
                  35:'1405x1811y1225z',
                  36:'140x186y2589z',
                  37:'1442x1607y1447z',
                  38:'1449x1261y1751z',
                  39:'145x215y2587z',
                  40:'146x274y2581z',
                  41:'147x244y2584z',
                  42:'148x317y2677z',
                  43:'1490x1726y1248z',
                  44:'1499x1173y1770z',
                  45:'149x2156y1444z',
                  46:'14x21y2599z',
                  47:'1514x1519y1469z',
                  48:'1544x1082y1789z',
                  49:'1570x1636y1271z',
                  50:'1580x1427y1490z',
                  51:'1641x1333y1512z',
                  52:'1644x1543y1293z',
                  53:'1696x1236y1533z',
                  54:'1713x1446y1316z',
                  55:'171x1963y1695z',
                  56:'175x1672y1982z',
                  57:'1775x1347y1338z',
                  58:'202x2405y966z',
                  59:'238x2304y1179z',
                  60:'25x284y2584z',
                  61:'260x1641y1999z',
                  62:'260x2131y1465z',
                  63:'271x1934y1715z',
                  64:'27x44y2599z',
                  65:'2x26y2599z',
                  66:'2x52y2599z',
                  67:'326x2381y990z',
                  68:'341x1606y2015z',
                  69:'356x2277y1202z',
                  70:'369x1900y1735z',
                  71:'369x2100y1487z',
                  72:'36x2175y1422z',
                  73:'36x256y2587z',
                  74:'38x68y2598z',
                  75:'419x1566y2032z',
                  76:'449x2351y1014z',
                  77:'45x229y2589z',
                  78:'45x93y2597z',
                  79:'464x1861y1754z',
                  80:'473x2243y1225z',
                  81:'475x2063y1508z',
                  82:'494x1523y2048z',
                  83:'50x201y2591z',
                  84:'51x119y2596z',
                  85:'53x146y2595z',
                  86:'53x173y2593z',
                  87:'555x1818y1773z',
                  88:'566x1475y2064z',
                  89:'569x2314y1038z',
                  90:'578x2021y1529z',
                  91:'586x2204y1248z',
                  92:'634x1425y2079z',
                  93:'644x1769y1792z',
                  94:'678x1973y1550z',
                  95:'686x2271y1062z',
                  96:'697x2158y1270z',
                  97:'698x1371y2095z',
                  98:'69x1986y1676z',
                  99:'728x1717y1811z',
                  100:'759x1314y2110z',
                  101:'76x2422y942z',
                  102:'774x1921y1571z',
                  103:'800x2222y1085z',
                  104:'804x2106y1293z',
                  105:'809x1660y1829z',
                  106:'815x1255y2125z',
                  107:'82x63y2597z',
                  108:'867x1193y2140z',
                  109:'867x1863y1591z',
                  110:'886x1599y1848z',
                  111:'89x1699y1965z',
                  112:'908x2050y1315z',
                  113:'911x2167y1109z',
                  114:'915x1130y2155z',
                  115:'956x1801y1612z',
                  116:'958x1064y2169z',
                  117:'959x1535y1866z',
                  118:'98x85y2596z',
                  119:'997x997y2183z'}
                         
# -------------------------------------------------------------------------------------------------
# 2700
# -------------------------------------------------------------------------------------------------                                          
shot2one27004xi = {
                  1:'0x0y2699z',
                  2:'0x1787y2023z',
                  3:'0x81y2698z',
                  4:'101x88y2696z',
                  5:'1036x1036y2267z',
                  6:'1047x2064y1389z',
                  7:'1058x2187y1176z',
                  8:'1067x1523y1956z',
                  9:'1071x965y2282z',
                  10:'1081x1801y1695z',
                  11:'1103x893y2296z',
                  12:'1129x820y2310z',
                  13:'1133x1450y1975z',
                  14:'1147x1994y1412z',
                  15:'1164x1728y1716z',
                  16:'1165x2118y1200z',
                  17:'116x112y2695z',
                  18:'1194x1374y1993z',
                  19:'122x2415y1200z',
                  20:'1242x1919y1435z',
                  21:'1243x1651y1737z',
                  22:'1251x1295y2011z',
                  23:'1268x2044y1224z',
                  24:'128x137y2693z',
                  25:'12x323y2680z',
                  26:'1302x1214y2029z',
                  27:'1316x1570y1757z',
                  28:'1332x1840y1458z',
                  29:'1348x1131y2047z',
                  30:'1366x1965y1248z',
                  31:'1384x1486y1778z',
                  32:'1389x1047y2064z',
                  33:'138x165y2691z',
                  34:'1417x1756y1481z',
                  35:'1425x961y2082z',
                  36:'1447x1399y1798z',
                  37:'1459x1881y1272z',
                  38:'146x193y2689z',
                  39:'1497x1668y1503z',
                  40:'1505x1310y1818z',
                  41:'150x223y2686z',
                  42:'152x253y2683z',
                  43:'152x285y2680z',
                  44:'153x328y2776z',
                  45:'1548x1792y1296z',
                  46:'1557x1218y1838z',
                  47:'155x2239y1499z',
                  48:'1572x1577y1526z',
                  49:'15x22y2699z',
                  50:'1604x1124y1858z',
                  51:'1630x1699y1319z',
                  52:'1641x1482y1548z',
                  53:'1704x1384y1570z',
                  54:'1707x1602y1343z',
                  55:'1762x1284y1592z',
                  56:'1778x1502y1366z',
                  57:'178x2038y1761z',
                  58:'182x1737y2058z',
                  59:'1844x1399y1389z',
                  60:'210x2497y1003z',
                  61:'247x2393y1224z',
                  62:'26x295y2683z',
                  63:'270x1704y2076z',
                  64:'270x2213y1522z',
                  65:'282x2009y1781z',
                  66:'28x45y2699z',
                  67:'2x27y2699z',
                  68:'339x2473y1028z',
                  69:'354x1668y2093z',
                  70:'370x2365y1248z',
                  71:'383x1973y1801z',
                  72:'383x2181y1544z',
                  73:'38x2259y1477z',
                  74:'38x266y2686z',
                  75:'39x70y2698z',
                  76:'3x54y2699z',
                  77:'435x1626y2110z',
                  78:'466x2441y1053z',
                  79:'47x238y2689z',
                  80:'47x96y2697z',
                  81:'482x1933y1821z',
                  82:'491x2330y1272z',
                  83:'493x2143y1566z',
                  84:'513x1581y2127z',
                  85:'52x209y2691z',
                  86:'53x124y2696z',
                  87:'55x151y2695z',
                  88:'55x180y2693z',
                  89:'577x1888y1841z',
                  90:'588x1532y2143z',
                  91:'591x2403y1078z',
                  92:'600x2099y1588z',
                  93:'609x2288y1296z',
                  94:'658x1480y2159z',
                  95:'668x1837y1861z',
                  96:'704x2049y1610z',
                  97:'712x2359y1102z',
                  98:'724x2241y1319z',
                  99:'725x1424y2175z',
                  100:'72x2062y1740z',
                  101:'756x1783y1880z',
                  102:'788x1365y2191z',
                  103:'79x2515y978z',
                  104:'804x1994y1631z',
                  105:'831x2308y1127z',
                  106:'835x2187y1343z',
                  107:'840x1724y1900z',
                  108:'846x1303y2207z',
                  109:'85x66y2697z',
                  110:'900x1239y2222z',
                  111:'901x1935y1653z',
                  112:'920x1661y1919z',
                  113:'92x1764y2041z',
                  114:'943x2128y1366z',
                  115:'946x2250y1151z',
                  116:'950x1173y2238z',
                  117:'993x1870y1674z',
                  118:'995x1105y2253z',
                  119:'996x1594y1938z'}
                         
# -------------------------------------------------------------------------------------------------
# 2800
# -------------------------------------------------------------------------------------------------                                          
shot2one28004xi = {
                  1:'0x0y2799z',
                  2:'0x1853y2098z',
                  3:'0x84y2798z',
                  4:'1030x1939y1736z',
                  5:'1032x1146y2336z',
                  6:'1033x1653y2009z',
                  7:'105x91y2796z',
                  8:'1074x1074y2351z',
                  9:'1086x2140y1441z',
                  10:'1097x2268y1219z',
                  11:'1106x1580y2029z',
                  12:'1111x1000y2366z',
                  13:'1121x1868y1758z',
                  14:'1144x926y2381z',
                  15:'1171x851y2396z',
                  16:'1175x1504y2048z',
                  17:'1189x2068y1465z',
                  18:'1207x1792y1780z',
                  19:'1208x2197y1245z',
                  20:'120x116y2794z',
                  21:'1238x1425y2067z',
                  22:'127x2504y1244z',
                  23:'1288x1990y1488z',
                  24:'1289x1712y1801z',
                  25:'1297x1343y2086z',
                  26:'12x334y2779z',
                  27:'1315x2120y1270z',
                  28:'133x143y2793z',
                  29:'1350x1259y2104z',
                  30:'1365x1628y1822z',
                  31:'1381x1908y1512z',
                  32:'1398x1173y2123z',
                  33:'1417x2038y1294z',
                  34:'1436x1541y1844z',
                  35:'1440x1085y2141z',
                  36:'144x171y2791z',
                  37:'1470x1821y1536z',
                  38:'1477x996y2159z',
                  39:'1501x1451y1865z',
                  40:'1514x1950y1319z',
                  41:'151x200y2788z',
                  42:'1553x1730y1559z',
                  43:'1561x1358y1885z',
                  44:'156x231y2786z',
                  45:'157x295y2779z',
                  46:'158x263y2783z',
                  47:'159x340y2875z',
                  48:'1605x1858y1344z',
                  49:'1615x1263y1906z',
                  50:'161x2322y1555z',
                  51:'1630x1635y1582z',
                  52:'1663x1166y1926z',
                  53:'1691x1762y1368z',
                  54:'16x22y2799z',
                  55:'1702x1537y1605z',
                  56:'1767x1436y1628z',
                  57:'1770x1662y1393z',
                  58:'1827x1332y1651z',
                  59:'1844x1558y1417z',
                  60:'184x2114y1826z',
                  61:'189x1801y2135z',
                  62:'1912x1450y1441z',
                  63:'218x2590y1040z',
                  64:'256x2482y1269z',
                  65:'27x306y2783z',
                  66:'280x1768y2153z',
                  67:'280x2295y1578z',
                  68:'292x2083y1847z',
                  69:'29x47y2799z',
                  70:'352x2564y1066z',
                  71:'367x1729y2170z',
                  72:'384x2452y1294z',
                  73:'397x2047y1868z',
                  74:'397x2262y1601z',
                  75:'39x2343y1532z',
                  76:'39x276y2786z',
                  77:'3x28y2799z',
                  78:'3x56y2799z',
                  79:'40x73y2798z',
                  80:'452x1687y2188z',
                  81:'483x2532y1092z',
                  82:'48x246y2788z',
                  83:'499x2005y1889z',
                  84:'49x100y2797z',
                  85:'509x2416y1319z',
                  86:'511x2222y1624z',
                  87:'532x1640y2205z',
                  88:'54x216y2791z',
                  89:'55x128y2796z',
                  90:'57x157y2794z',
                  91:'57x187y2793z',
                  92:'598x1958y1909z',
                  93:'610x1589y2222z',
                  94:'612x2492y1118z',
                  95:'622x2176y1647z',
                  96:'631x2373y1344z',
                  97:'683x1534y2239z',
                  98:'693x1906y1930z',
                  99:'730x2125y1669z',
                  100:'739x2446y1143z',
                  101:'74x2139y1805z',
                  102:'751x2324y1368z',
                  103:'752x1477y2256z',
                  104:'784x1849y1950z',
                  105:'817x1416y2272z',
                  106:'82x2608y1014z',
                  107:'834x2068y1692z',
                  108:'862x2393y1169z',
                  109:'866x2269y1392z',
                  110:'872x1787y1970z',
                  111:'878x1352y2289z',
                  112:'88x68y2797z',
                  113:'934x1285y2305z',
                  114:'934x2006y1714z',
                  115:'954x1722y1990z',
                  116:'95x1830y2116z',
                  117:'978x2207y1417z',
                  118:'981x2334y1194z',
                  119:'985x1217y2321z'}
                         
# -------------------------------------------------------------------------------------------------
# 2900
# -------------------------------------------------------------------------------------------------                                          
shot2one29004xi = {
                  1:'0x0y2899z',
                  2:'0x1920y2173z',
                  3:'0x87y2898z',
                  4:'1013x2286y1467z',
                  5:'1017x2417y1237z',
                  6:'1020x1260y2403z',
                  7:'1066x2009y1798z',
                  8:'1069x1187y2420z',
                  9:'1069x1712y2081z',
                  10:'109x94y2896z',
                  11:'1112x1112y2435z',
                  12:'1125x2217y1492z',
                  13:'1136x2349y1263z',
                  14:'1146x1636y2101z',
                  15:'1151x1036y2451z',
                  16:'1161x1935y1821z',
                  17:'1184x959y2466z',
                  18:'1213x881y2481z',
                  19:'1217x1557y2121z',
                  20:'1232x2142y1517z',
                  21:'1250x1856y1843z',
                  22:'1251x2275y1289z',
                  23:'125x120y2894z',
                  24:'1283x1476y2141z',
                  25:'131x2594y1289z',
                  26:'1334x2061y1542z',
                  27:'1335x1773y1865z',
                  28:'1343x1391y2160z',
                  29:'1362x2196y1315z',
                  30:'138x148y2892z',
                  31:'1398x1304y2179z',
                  32:'13x346y2879z',
                  33:'1414x1686y1888z',
                  34:'1431x1976y1566z',
                  35:'1448x1215y2198z',
                  36:'1467x2110y1341z',
                  37:'1487x1596y1909z',
                  38:'1492x1124y2217z',
                  39:'149x177y2890z',
                  40:'1522x1886y1590z',
                  41:'1530x1032y2236z',
                  42:'1555x1503y1931z',
                  43:'1568x2020y1366z',
                  44:'157x207y2888z',
                  45:'1608x1792y1615z',
                  46:'1617x1407y1953z',
                  47:'162x239y2885z',
                  48:'163x306y2879z',
                  49:'164x272y2882z',
                  50:'164x352y2974z',
                  51:'1662x1925y1392z',
                  52:'166x2405y1610z',
                  53:'1673x1308y1974z',
                  54:'1688x1694y1639z',
                  55:'16x23y2899z',
                  56:'1722x1207y1995z',
                  57:'1751x1825y1417z',
                  58:'1763x1592y1662z',
                  59:'1830x1487y1686z',
                  60:'1834x1721y1442z',
                  61:'1892x1379y1710z',
                  62:'1910x1613y1468z',
                  63:'191x2189y1891z',
                  64:'196x1865y2211z',
                  65:'1980x1502y1492z',
                  66:'225x2682y1077z',
                  67:'266x2570y1315z',
                  68:'28x317y2882z',
                  69:'290x1831y2229z',
                  70:'290x2377y1634z',
                  71:'303x2157y1913z',
                  72:'30x49y2899z',
                  73:'364x2656y1104z',
                  74:'380x1791y2248z',
                  75:'398x2540y1340z',
                  76:'3x29y2899z',
                  77:'3x58y2899z',
                  78:'411x2342y1658z',
                  79:'412x2120y1935z',
                  80:'41x2427y1586z',
                  81:'41x286y2885z',
                  82:'42x75y2898z',
                  83:'468x1747y2266z',
                  84:'501x2622y1131z',
                  85:'50x255y2888z',
                  86:'517x2076y1956z',
                  87:'51x104y2897z',
                  88:'527x2502y1366z',
                  89:'530x2301y1682z',
                  90:'551x1698y2284z',
                  91:'56x224y2890z',
                  92:'57x133y2896z',
                  93:'59x193y2892z',
                  94:'60x163y2894z',
                  95:'620x2028y1978z',
                  96:'631x1646y2302z',
                  97:'634x2581y1158z',
                  98:'645x2254y1706z',
                  99:'654x2458y1392z',
                  100:'707x1589y2319z',
                  101:'718x1974y1999z',
                  102:'756x2201y1729z',
                  103:'765x2533y1184z',
                  104:'777x2407y1417z',
                  105:'779x1529y2337z',
                  106:'77x2215y1869z',
                  107:'812x1915y2020z',
                  108:'846x1466y2354z',
                  109:'85x2701y1050z',
                  110:'864x2142y1752z',
                  111:'893x2479y1211z',
                  112:'897x2350y1442z',
                  113:'903x1851y2040z',
                  114:'909x1400y2370z',
                  115:'91x71y2897z',
                  116:'967x1331y2387z',
                  117:'967x2078y1775z',
                  118:'988x1784y2061z',
                  119:'99x1895y2192z'}
                         
# -------------------------------------------------------------------------------------------------
# 3000
# -------------------------------------------------------------------------------------------------                                          
shot2one30004xi = {
                  1:'0x0y2999z',
                  2:'0x1986y2248z',
                  3:'0x90y2998z',
                  4:'1000x1377y2469z',
                  5:'1001x2150y1836z',
                  6:'1023x1845y2132z',
                  7:'102x1960y2268z',
                  8:'1048x2365y1518z',
                  9:'1052x2500y1279z',
                  10:'1056x1304y2486z',
                  11:'1103x2078y1860z',
                  12:'1106x1228y2503z',
                  13:'1106x1771y2153z',
                  14:'113x98y2996z',
                  15:'1151x1151y2519z',
                  16:'1164x2293y1544z',
                  17:'1175x2430y1307z',
                  18:'1185x1693y2174z',
                  19:'1191x1072y2536z',
                  20:'1201x2001y1883z',
                  21:'1225x992y2551z',
                  22:'1255x912y2567z',
                  23:'1259x1611y2194z',
                  24:'1274x2216y1569z',
                  25:'1293x1920y1907z',
                  26:'1295x2354y1333z',
                  27:'129x124y2994z',
                  28:'1327x1526y2215z',
                  29:'136x2683y1333z',
                  30:'1380x2133y1595z',
                  31:'1381x1834y1930z',
                  32:'1390x1439y2235z',
                  33:'13x358y2978z',
                  34:'1409x2271y1360z',
                  35:'143x153y2992z',
                  36:'1447x1349y2255z',
                  37:'1462x1745y1953z',
                  38:'1480x2044y1620z',
                  39:'1498x1257y2274z',
                  40:'1518x2183y1387z',
                  41:'1538x1651y1975z',
                  42:'1543x1163y2294z',
                  43:'154x183y2990z',
                  44:'1575x1951y1645z',
                  45:'1583x1068y2313z',
                  46:'1608x1555y1998z',
                  47:'1622x2090y1413z',
                  48:'162x215y2987z',
                  49:'1664x1854y1670z',
                  50:'1672x1455y2020z',
                  51:'167x248y2985z',
                  52:'168x316y2978z',
                  53:'169x282y2981z',
                  54:'170x364y3073z',
                  55:'1720x1991y1440z',
                  56:'172x2488y1666z',
                  57:'1730x1353y2042z',
                  58:'1747x1752y1695z',
                  59:'1782x1249y2064z',
                  60:'17x24y2999z',
                  61:'1811x1888y1466z',
                  62:'1823x1647y1720z',
                  63:'1894x1538y1744z',
                  64:'1897x1780y1492z',
                  65:'1957x1427y1769z',
                  66:'1976x1669y1518z',
                  67:'198x2265y1956z',
                  68:'202x1930y2287z',
                  69:'2049x1554y1544z',
                  70:'233x2775y1114z',
                  71:'275x2659y1360z',
                  72:'29x328y2981z',
                  73:'300x1894y2306z',
                  74:'300x2459y1691z',
                  75:'313x2232y1979z',
                  76:'31x50y2999z',
                  77:'377x2748y1142z',
                  78:'393x1853y2325z',
                  79:'3x30y2999z',
                  80:'3x60y2999z',
                  81:'411x2627y1387z',
                  82:'426x2193y2001z',
                  83:'426x2423y1716z',
                  84:'42x2510y1641z',
                  85:'42x296y2985z',
                  86:'43x78y2998z',
                  87:'484x1807y2344z',
                  88:'518x2713y1170z',
                  89:'52x107y2997z',
                  90:'52x264y2987z',
                  91:'535x2148y2024z',
                  92:'546x2589y1413z',
                  93:'548x2381y1740z',
                  94:'571x1757y2363z',
                  95:'58x232y2990z',
                  96:'59x137y2996z',
                  97:'61x200y2992z',
                  98:'62x168y2994z',
                  99:'641x2097y2046z',
                  100:'653x1702y2381z',
                  101:'656x2670y1197z',
                  102:'667x2332y1764z',
                  103:'677x2543y1440z',
                  104:'732x1644y2399z',
                  105:'743x2042y2068z',
                  106:'782x2277y1789z',
                  107:'792x2621y1225z',
                  108:'804x2490y1466z',
                  109:'806x1582y2417z',
                  110:'80x2291y1934z',
                  111:'841x1981y2089z',
                  112:'875x1517y2435z',
                  113:'88x2794y1087z',
                  114:'894x2216y1813z',
                  115:'924x2564y1252z',
                  116:'928x2431y1492z',
                  117:'934x1915y2111z',
                  118:'940x1448y2452z',
                  119:'94x73y2997z'}
                                        
# -------------------------------------------------------------------------------------------------
# 3100
# -------------------------------------------------------------------------------------------------                                          
shot2one31004xi = {
                  1:'0x0y3099z',
                  2:'0x2052y2323z',
                  3:'0x93y3098z',
                  4:'1034x1423y2552z',
                  5:'1034x2221y1898z',
                  6:'1057x1907y2203z',
                  7:'106x2026y2343z',
                  8:'1083x2444y1568z',
                  9:'1087x2584y1322z',
                  10:'1091x1347y2569z',
                  11:'1140x2147y1922z',
                  12:'1143x1269y2586z',
                  13:'1143x1830y2225z',
                  14:'117x101y3096z',
                  15:'1189x1189y2603z',
                  16:'1202x2370y1595z',
                  17:'1215x2511y1350z',
                  18:'1225x1749y2246z',
                  19:'1230x1108y2620z',
                  20:'1241x2068y1946z',
                  21:'1266x1025y2636z',
                  22:'1297x942y2653z',
                  23:'1301x1665y2267z',
                  24:'1317x2289y1622z',
                  25:'1337x1984y1970z',
                  26:'1338x2432y1378z',
                  27:'133x128y3094z',
                  28:'1371x1577y2288z',
                  29:'140x2773y1378z',
                  30:'1426x2204y1648z',
                  31:'1427x1895y1994z',
                  32:'1436x1487y2309z',
                  33:'1456x2347y1406z',
                  34:'148x158y3092z',
                  35:'1495x1394y2330z',
                  36:'14x370y3077z',
                  37:'1511x1803y2018z',
                  38:'1530x2112y1674z',
                  39:'1548x1299y2350z',
                  40:'1569x2256y1433z',
                  41:'1590x1706y2041z',
                  42:'1595x1202y2370z',
                  43:'159x189y3090z',
                  44:'1627x2016y1700z',
                  45:'1636x1103y2390z',
                  46:'1662x1607y2064z',
                  47:'1676x2159y1461z',
                  48:'167x222y3087z',
                  49:'1719x1916y1726z',
                  50:'1728x1504y2087z',
                  51:'173x256y3084z',
                  52:'174x327y3077z',
                  53:'175x291y3081z',
                  54:'175x375y3172z',
                  55:'1777x2058y1488z',
                  56:'1788x1398y2110z',
                  57:'178x2571y1722z',
                  58:'17x25y3099z',
                  59:'1805x1811y1752z',
                  60:'1841x1291y2133z',
                  61:'1872x1951y1515z',
                  62:'1884x1702y1777z',
                  63:'1957x1590y1802z',
                  64:'1960x1840y1542z',
                  65:'2023x1474y1828z',
                  66:'2042x1725y1569z',
                  67:'204x2340y2022z',
                  68:'209x1994y2363z',
                  69:'2117x1606y1595z',
                  70:'241x2867y1152z',
                  71:'284x2748y1405z',
                  72:'30x338y3081z',
                  73:'310x1957y2383z',
                  74:'310x2541y1747z',
                  75:'324x2306y2045z',
                  76:'33x52y3099z',
                  77:'389x2839y1180z',
                  78:'3x31y3099z',
                  79:'3x62y3099z',
                  80:'407x1915y2403z',
                  81:'425x2715y1433z',
                  82:'43x2594y1696z',
                  83:'440x2266y2068z',
                  84:'440x2504y1773z',
                  85:'44x306y3084z',
                  86:'45x81y3098z',
                  87:'500x1867y2422z',
                  88:'535x2803y1209z',
                  89:'54x111y3097z',
                  90:'54x273y3087z',
                  91:'553x2219y2091z',
                  92:'564x2675y1460z',
                  93:'566x2460y1798z',
                  94:'590x1816y2442z',
                  95:'60x240y3090z',
                  96:'61x142y3096z',
                  97:'64x174y3094z',
                  98:'64x207y3092z',
                  99:'662x2167y2114z',
                  100:'675x1759y2461z',
                  101:'678x2759y1237z',
                  102:'689x2410y1823z',
                  103:'699x2627y1488z',
                  104:'756x1699y2479z',
                  105:'768x2110y2137z',
                  106:'808x2353y1848z',
                  107:'818x2708y1266z',
                  108:'82x2368y1998z',
                  109:'831x2573y1515z',
                  110:'833x1635y2498z',
                  111:'869x2047y2159z',
                  112:'905x1567y2516z',
                  113:'91x2887y1123z',
                  114:'924x2290y1873z',
                  115:'954x2650y1294z',
                  116:'959x2512y1542z',
                  117:'965x1979y2181z',
                  118:'972x1497y2534z',
                  119:'97x76y3097z'}
                         
# -------------------------------------------------------------------------------------------------
# 3200
# -------------------------------------------------------------------------------------------------                                          
shot2one32004xi = {
                  1:'0x0y3199z',
                  2:'0x2118y2398z',
                  3:'0x96y3198z',
                  4:'1003x1545y2616z',
                  5:'100x78y3197z',
                  6:'1067x1469y2634z',
                  7:'1068x2293y1959z',
                  8:'1091x1968y2274z',
                  9:'109x2091y2419z',
                  10:'1118x2523y1619z',
                  11:'1122x2667y1365z',
                  12:'1126x1391y2652z',
                  13:'1177x2217y1984z',
                  14:'1179x1310y2670z',
                  15:'1180x1889y2296z',
                  16:'120x104y3196z',
                  17:'1227x1227y2687z',
                  18:'1241x2446y1647z',
                  19:'1254x2592y1394z',
                  20:'1264x1806y2319z',
                  21:'1270x1143y2705z',
                  22:'1281x2135y2009z',
                  23:'1307x1058y2722z',
                  24:'1339x972y2738z',
                  25:'1343x1719y2341z',
                  26:'1359x2363y1674z',
                  27:'1380x2048y2034z',
                  28:'1381x2511y1422z',
                  29:'138x133y3194z',
                  30:'1415x1628y2362z',
                  31:'145x2862y1422z',
                  32:'1472x2275y1701z',
                  33:'1473x1957y2058z',
                  34:'1482x1535y2384z',
                  35:'14x382y3176z',
                  36:'1503x2423y1451z',
                  37:'152x163y3192z',
                  38:'1543x1439y2405z',
                  39:'1560x1861y2083z',
                  40:'1579x2181y1728z',
                  41:'1598x1341y2426z',
                  42:'1619x2329y1479z',
                  43:'1641x1761y2107z',
                  44:'1646x1240y2447z',
                  45:'164x195y3189z',
                  46:'1680x2081y1755z',
                  47:'1689x1139y2467z',
                  48:'1716x1658y2131z',
                  49:'1730x2229y1508z',
                  50:'173x229y3187z',
                  51:'1775x1977y1782z',
                  52:'1784x1552y2155z',
                  53:'178x264y3184z',
                  54:'180x338y3176z',
                  55:'181x300y3180z',
                  56:'181x387y3272z',
                  57:'1834x2124y1536z',
                  58:'1846x1443y2178z',
                  59:'184x2654y1777z',
                  60:'1863x1869y1808z',
                  61:'18x26y3199z',
                  62:'1901x1332y2202z',
                  63:'1932x2014y1564z',
                  64:'1945x1757y1834z',
                  65:'2020x1641y1861z',
                  66:'2023x1899y1592z',
                  67:'2088x1522y1887z',
                  68:'2108x1780y1619z',
                  69:'211x2416y2087z',
                  70:'216x2058y2440z',
                  71:'2185x1658y1647z',
                  72:'249x2960y1189z',
                  73:'293x2836y1451z',
                  74:'31x349y3180z',
                  75:'320x2020y2460z',
                  76:'320x2623y1804z',
                  77:'334x2381y2111z',
                  78:'34x54y3199z',
                  79:'3x32y3199z',
                  80:'3x64y3199z',
                  81:'402x2931y1218z',
                  82:'420x1976y2480z',
                  83:'439x2803y1479z',
                  84:'454x2339y2135z',
                  85:'454x2585y1830z',
                  86:'45x2678y1750z',
                  87:'45x316y3184z',
                  88:'46x83y3198z',
                  89:'516x1928y2501z',
                  90:'552x2894y1248z',
                  91:'55x282y3187z',
                  92:'56x114y3197z',
                  93:'571x2291y2159z',
                  94:'582x2761y1507z',
                  95:'584x2539y1856z',
                  96:'609x1874y2520z',
                  97:'62x147y3195z',
                  98:'62x247y3189z',
                  99:'66x180y3194z',
                  100:'66x213y3192z',
                  101:'684x2237y2182z',
                  102:'697x1816y2540z',
                  103:'700x2848y1277z',
                  104:'711x2487y1882z',
                  105:'722x2712y1536z',
                  106:'781x1754y2559z',
                  107:'792x2178y2205z',
                  108:'835x2429y1908z',
                  109:'844x2795y1307z',
                  110:'858x2656y1564z',
                  111:'85x2444y2063z',
                  112:'860x1688y2578z',
                  113:'897x2113y2229z',
                  114:'934x1618y2597z',
                  115:'94x2981y1159z',
                  116:'953x2364y1933z',
                  117:'985x2735y1336z',
                  118:'990x2593y1591z',
                  119:'996x2043y2251z'}
                         
# -------------------------------------------------------------------------------------------------
# 3300
# -------------------------------------------------------------------------------------------------                                          
shot2one33004xi = {
                  1:'0x0y3299z',
                  2:'0x2184y2473z',
                  3:'0x99y3298z',
                  4:'1016x2820y1378z',
                  5:'1021x2674y1641z',
                  6:'1027x2107y2322z',
                  7:'1034x1593y2698z',
                  8:'104x81y3297z',
                  9:'1100x1515y2716z',
                  10:'1101x2365y2020z',
                  11:'1125x2030y2345z',
                  12:'113x2157y2494z',
                  13:'1153x2601y1670z',
                  14:'1157x2751y1407z',
                  15:'1161x1434y2735z',
                  16:'1214x2286y2046z',
                  17:'1216x1351y2753z',
                  18:'1217x1948y2368z',
                  19:'124x108y3295z',
                  20:'1266x1266y2771z',
                  21:'1280x2522y1698z',
                  22:'1293x2673y1437z',
                  23:'1304x1862y2391z',
                  24:'1310x1179y2789z',
                  25:'1321x2202y2072z',
                  26:'1348x1091y2807z',
                  27:'1380x1003y2824z',
                  28:'1385x1772y2414z',
                  29:'1402x2437y1726z',
                  30:'1423x2112y2097z',
                  31:'1424x2589y1467z',
                  32:'142x137y3294z',
                  33:'1460x1679y2436z',
                  34:'149x2952y1467z',
                  35:'1518x2346y1754z',
                  36:'1519x2018y2123z',
                  37:'1529x1583y2458z',
                  38:'1550x2499y1496z',
                  39:'157x168y3291z',
                  40:'1591x1484y2480z',
                  41:'15x394y3276z',
                  42:'1609x1919y2148z',
                  43:'1628x2249y1782z',
                  44:'1648x1382y2502z',
                  45:'1670x2402y1526z',
                  46:'1692x1817y2173z',
                  47:'1698x1279y2523z',
                  48:'169x201y3289z',
                  49:'1732x2147y1810z',
                  50:'1741x1174y2544z',
                  51:'1769x1710y2198z',
                  52:'1784x2299y1555z',
                  53:'178x236y3286z',
                  54:'1830x2039y1837z',
                  55:'1840x1601y2222z',
                  56:'184x272y3283z',
                  57:'185x348y3276z',
                  58:'186x310y3280z',
                  59:'186x399y3371z',
                  60:'1892x2190y1584z',
                  61:'189x2737y1833z',
                  62:'1903x1489y2246z',
                  63:'1921x1928y1865z',
                  64:'1960x1374y2270z',
                  65:'1993x2077y1613z',
                  66:'19x26y3299z',
                  67:'2006x1812y1892z',
                  68:'2083x1692y1919z',
                  69:'2087x1958y1641z',
                  70:'2153x1569y1945z',
                  71:'2174x1836y1670z',
                  72:'218x2491y2152z',
                  73:'223x2123y2516z',
                  74:'2253x1709y1698z',
                  75:'257x3052y1226z',
                  76:'302x2925y1496z',
                  77:'32x360y3280z',
                  78:'330x2083y2537z',
                  79:'330x2705y1860z',
                  80:'345x2455y2177z',
                  81:'35x55y3299z',
                  82:'3x33y3299z',
                  83:'3x66y3299z',
                  84:'414x3022y1257z',
                  85:'433x2038y2558z',
                  86:'453x2890y1525z',
                  87:'468x2412y2202z',
                  88:'468x2665y1887z',
                  89:'46x2761y1805z',
                  90:'46x326y3283z',
                  91:'48x86y3298z',
                  92:'532x1988y2579z',
                  93:'570x2984y1287z',
                  94:'57x290y3286z',
                  95:'589x2363y2226z',
                  96:'58x118y3297z',
                  97:'600x2848y1555z',
                  98:'603x2619y1914z',
                  99:'628x1933y2599z',
                  100:'64x151y3295z',
                  101:'64x255y3289z',
                  102:'68x185y3294z',
                  103:'68x220y3291z',
                  104:'705x2307y2250z',
                  105:'719x1873y2619z',
                  106:'722x2937y1317z',
                  107:'734x2565y1941z',
                  108:'744x2797y1584z',
                  109:'805x1809y2639z',
                  110:'817x2246y2274z',
                  111:'861x2505y1967z',
                  112:'871x2883y1347z',
                  113:'885x2739y1612z',
                  114:'886x1740y2659z',
                  115:'88x2521y2127z',
                  116:'925x2179y2298z',
                  117:'963x1668y2678z',
                  118:'97x3074y1195z',
                  119:'983x2438y1994z'}
#"
#"/>
 
ack2build = False 
if ack2build is True:
    # ---------------------------------------------------------------------------------------------
    # BUILD THE COORDINATES YOU NEED!
    # ---------------------------------------------------------------------------------------------    
    kb2try = {
                10: {1:     shot2one104xi, 2: 'nack'},
               100: {1:    shot2one1004xi, 2: 'nack'},
               200: {1:    shot2one2004xi, 2: 'nack'},
               300: {1:    shot2one3004xi, 2: 'nack'},
               400: {1:    shot2one4004xi, 2: 'nack'},
               500: {1:    shot2one5004xi, 2: 'nack'},
               600: {1:    shot2one6004xi, 2: 'nack'},
               700: {1:    shot2one7004xi, 2: 'nack'},
               800: {1:    shot2one8004xi, 2: 'nack'},
               900: {1:    shot2one9004xi, 2: 'nack'},
              1000: {1:   shot2one10004xi, 2: 'nack'},
              1100: {1:   shot2one11004xi, 2: 'nack'},
              1200: {1:   shot2one12004xi, 2: 'nack'},
              1300: {1:   shot2one13004xi, 2: 'nack'}, 
              1400: {1:   shot2one14004xi, 2: 'nack'},
              1500: {1:   shot2one15004xi, 2: 'nack'},
              1600: {1:   shot2one16004xi, 2: 'nack'},
              1700: {1:   shot2one17004xi, 2: 'nack'},
              1800: {1:   shot2one18004xi, 2: 'nack'},
              1900: {1:   shot2one19004xi, 2: 'nack'},
              2000: {1:   shot2one20004xi, 2: 'nack'},
              2100: {1:   shot2one21004xi, 2: 'nack'},
              2200: {1:   shot2one22004xi, 2: 'nack'},
              2300: {1:   shot2one23004xi, 2: 'nack'}, 
              2400: {1:   shot2one24004xi, 2: 'nack'},
              2500: {1:   shot2one25004xi, 2: 'nack'}, 
              2600: {1:   shot2one26004xi, 2: 'nack'},
              2700: {1:   shot2one27004xi, 2: 'nack'}, 
              2800: {1:   shot2one28004xi, 2: 'nack'},
              2900: {1:   shot2one29004xi, 2: 'nack'}, 
              3000: {1:   shot2one30004xi, 2: 'nack'},
              3100: {1:   shot2one31004xi, 2: 'nack'},     
              3200: {1:   shot2one32004xi, 2: 'nack'},
              3300: {1:   shot2one33004xi, 2: 'nack'}                                                                                                                                                                                       
        }
      

    # ---------------------------------------------------------------------------------------------
    # (STEP 1/33)
    # ---------------------------------------------------------------------------------------------             
    keys2try = kb2try.keys()
    print("(STEP 1A/33) OF FIRE2ONE4XI - LAYERS: ", keys2try)                                                     # 
    
    for key2try in keys2try:                                                                    
        # -----------------------------------------------------------------------------------------
        # (STEP 2/33)
        # -----------------------------------------------------------------------------------------     
        print("(STEP 2A/33) OF FIRE2ONE4XI - LAYER: ", key2try)                                                   # 
        print("(STEP 2B/33) OF FIRE2ONE4XI - KB2TRY [", key2try, "]: ", kb2try [key2try])                         # 
        print("(STEP 2C/33) OF FIRE2ONE4XI - KB2TRY [", key2try, "] [2]: ", kb2try [key2try][2])                  # 
        if kb2try [key2try] [2] == 'nack':
            # -------------------------------------------------------------------------------------
            # (STEP 3/33) - LAYER COORDINATES REQUIRED TO BUILD!
            # ------------------------------------------------------------------------------------- 
            print("(STEP 3A/33) OF FIRE2ONE4XI - TRYING TO BUILD COORDINATES FOR LAYER: ", key2try)               #                                     

            input_name2xi   = 'shot2one' + str(key2try)+ '4xi.txt'                                                # 
            input_folder2xi = '..//..//txt//'
            input_path2xi = input_folder2xi + input_name2xi 
            
            print("(STEP 3B/33) OF FIRE2ONE4XI - TRYING TO OPEN INPUT FILE: ", input_path2xi)                     # 
            
            input_fd2xi = open(input_path2xi)
            print("(STEP 3C/33) OF FIRE2ONE4XI - OPENED WITH INPUT DESCRIPTOR: ", input_fd2xi)                    # 
           
            key2coordinate = 1                                                                         
            while 1:
                
                # ---------------------------------------------------------------------------------------------------------
                # (STEP 4/33) - PROCESS THE INPUT FILE  
                # --------------------------------------------------------------------------------------------------------- 
                input_line2xi = input_fd2xi.readline()                                                  
                if not input_line2xi:
                    break                                                                                           # 
                else:
                    # ---------------------------------------------------------------------------------------------------------
                    # (STEP 5/33) - PROCESS THE INPUT LINE 
                    # ---------------------------------------------------------------------------------------------------------
                    # print("(STEP 5A/33) OF FIRE2ONE4XI - TRYING TO HANDLE INPUT LINE: ", input_line2xi) 
                    try:
                        i2pass = str.find(input_line2xi,'Copyright')
                        if i2pass == -1:
                            i2pass = str.find(input_line2xi,'time2shot')
                            if i2pass == -1:
                                # print("(STEP 5B/33) OF FIRE2ONE4XI - TRYING TO USE COORDINATES IN INPUT LINE: ", input_line2xi) 
                                try:
                                    core2search = input_line2xi                                                    # 
                                    i2x = str.find(core2search,'x')
                                    i2y = str.find(core2search,'y')
                                    i2z = str.find(core2search,'z')
                                    x2xi = int(core2search[0:i2x])
                                    y2xi = int(core2search[i2x+1:i2y])
                                    z2xi = int(core2search[i2y+1:i2z])
                                
                                    print(key2coordinate, ': ', input_line2xi)                                     # 
                                    key2coordinate = key2coordinate + 1                                            # 
                                
                                except:
                                    print("(STEP 5C/33) OF FIRE2ONE4XI *** FAILED TO USE COORDINATES IN INPUT LINE: ", input_line2xi)                                             
                            else:
                                pass                                                                              # 
                        else:
                            pass                                                                                  # 
                    except:
                        print("(STEP 5Z/33) OF FIRE2ONE4XI *** FAILED TO HANDLE INPUT LINE: ", input_line2xi) 
            # ---------------------------------------------------------------------------------------------
            # (STEP 6/33)
            # ---------------------------------------------------------------------------------------------     
            print("(STEP 6A/33) OF FIRE2ONE4XI - TRYING TO CLOSE INPUT_F2XI: ", input_fd2xi)    
            try:
                input_fd2xi.close()    
                print("(STEP 6B/33) OF COORDINATE_ACTORS4XI - CLOSED INPUT_F2XI: ", input_fd2xi)                    #    
            except:
                print("(STEP 6C/33) OF FIRE2ONE4XI *** FAILED TO CLOSE INPUT_F2XI: ", input_fd2xi)                     
                         
        else:
            # -------------------------------------------------------------------------------------
            # LAYER COORDINATES OK - BUILDING SKIPPED!
            # -------------------------------------------------------------------------------------        
            print("(STEP 7A/33) OF FIRE2ONE4XI - BUILDING SKIPPED FOR LAYER: ", key2try)                     
                    
ack2sense = False
if ack2sense is True:
    # ---------------------------------------------------------------------------------------------
    # SENSE IT!
    # ---------------------------------------------------------------------------------------------    
    from math import *
    kb2sense = {
        10:     shot2one104xi,
        100:    shot2one1004xi,
        200:    shot2one2004xi,
        300:    shot2one3004xi,
        400:    shot2one4004xi,
        500:    shot2one5004xi,
        600:    shot2one6004xi,
        700:    shot2one7004xi,
        800:    shot2one8004xi,
        900:    shot2one9004xi,
        1000:   shot2one10004xi,
        1100:   shot2one11004xi,
        1200:   shot2one12004xi,
        1300:   shot2one13004xi, 
        1400:   shot2one14004xi,
        1500:   shot2one15004xi,
        1600:   shot2one16004xi,
        1700:   shot2one17004xi,
        1800:   shot2one18004xi,
        1900:   shot2one19004xi,
        2000:   shot2one20004xi,
        2100:   shot2one21004xi,
        2200:   shot2one22004xi,
        2300:   shot2one23004xi, 
        2400:   shot2one24004xi,
        2500:   shot2one25004xi, 
        2600:   shot2one26004xi,
        2700:   shot2one27004xi, 
        2800:   shot2one28004xi,
        2900:   shot2one29004xi,
        3000:   shot2one30004xi,
        3100:   shot2one31004xi,     
        3200:   shot2one32004xi,
        3300:   shot2one33004xi                                                                                                                                                                                       
        }
      
    # ---------------------------------------------------------------------------------------------
    # 
    # ---------------------------------------------------------------------------------------------        
    keys2sense = kb2sense.keys()
    count2totalerrors = 0
    count2shots = 0
    count2layers = 0
     
    for key2sense in keys2sense:
        # -----------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------     
        count2layers = count2layers + 1
        count2errors = 0
        max2dev = 0
        max2r = 0
        kb2xi = kb2sense[key2sense]
        keys2kb = kb2xi.keys()
        # -----------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------        
        for key2kb in keys2kb:
            # -------------------------------------------------------------------------------------
            # 
            # -------------------------------------------------------------------------------------         
            count2shots = count2shots + 1
            name2kb = 'shot2one' + str(key2sense) + '4xi'
            layer2xi = key2sense
            core2search = kb2xi[key2kb] 
            i2x = str.find(core2search,'x')
            i2y = str.find(core2search,'y')
            i2z = str.find(core2search,'z')
            x2xi = int(core2search[0:i2x])
            y2xi = int(core2search[i2x+1:i2y])
            z2xi = int(core2search[i2y+1:i2z])
            r2xi = (x2xi**2 + y2xi**2 + z2xi**2)**(1/2)
            if r2xi > max2r:
                max2r = r2xi    
            dev2xi = abs(layer2xi - r2xi)
            if dev2xi > max2dev:
                max2dev = dev2xi    
            if dev2xi < 100:
                ok2xi = '[OK]'
            else:
                ok2xi = '[*** ERROR: TOO LARGE DEVIATION ***OK]'
                count2errors = count2errors + 1 
                count2totalerrors = count2totalerrors + 1    
            print("DRAGON: ", key2kb, " RADIUS: ", r2xi, " EXPECTED LAYER: ", layer2xi, " DEVIATION: ", dev2xi)
            
        # -----------------------------------------------------------------------------------------
        # 
        # ----------------------------------------------------------------------------------------- 
        print('=' *80)        
        if count2errors == 0:
            print("KB ", name2kb , " [OK] - MAX DEVIATION: ", max2dev, ", MAX RADIUS: ", max2r, " IN LAYER: ", layer2xi)
        else:
            print("*** FAILED - ", count2errors, " ERRORS - MAX DEVIATION: ", max2dev, " MAX RADIUS: ", max2r, " KB: ", kb2xi)
        print('=' *80)
        
    # ---------------------------------------------------------------------------------------------
    #
    # 
    # ---------------------------------------------------------------------------------------------         
    print('=' *80)        
    if count2totalerrors == 0:
        print("ALL ", count2shots, "SHOTS OK - ", count2layers, " LAYERS CHECKED ", time4xi())
    else:
        print("*** FAILED *** ", count2totalerrors, " ERRORS IN SHOTS ", count2shots, "- SHOTS - ", count2layers, " LAYERS CHECKED ", time4xi())
    print('=' *80)

    # ================================================================================
    # ALL  3999 SHOTS OK -  34  LAYERS CHECKED  10:49:57 11/29/10 Pacific Standard Time
    # ================================================================================            
    
    

# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire2one4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire2one4xi(queue2one, consumer_channel2one, publisher_channel2one):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE2ONE4XI - STARTED TIME: ", time2start)
        # 04:55:42 08/23/10 Pacific Daylight Time 
        
        print("\n (STEP 1A2/33) OF FIRE2ONE4XI -  QUEUE2ONE: ", queue2one)      
        # <queue4xi.Queue4Xi object at 0x029E7090> 
        
        print("\n (STEP 1A3/33) OF FIRE2ONE4XI -  CONSUMER_CHANNEL2ONE: ", consumer_channel2one)
        # <read-write PipeConnection, handle 256> 
              
        print("\n (STEP 1A4/33) OF FIRE2ONE4XI -  PUBLISHER_CHANNEL2ONE: ", publisher_channel2one)          
        # <DummyProcess4Xi(Thread-1, started 5016)> 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE2ONE4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2ONE: ", queue2one, " - TIME: ", time4xi()) 
        # <queue4xi.Queue4Xi object at 0x029E7090>  - TIME:  04:55:42 08/23/10 Pacific Daylight Time
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2one.put(shot2one104xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE2ONE4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2ONE: ", queue2one, " - TIME: ", time4xi()) 
            # <queue4xi.Queue4Xi object at 0x029E7090>  - TIME:  04:55:42 08/23/10 Pacific Daylight Time
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE2ONE4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2ONE: ", queue2one, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE2ONE4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2ONE: ", publisher_channel2one, " - TIME: ", time4xi())
        # <read-write PipeConnection, handle 260>  - TIME:  04:55:42 08/23/10 Pacific Daylight Time
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2one</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2one</nack2put4xi>" 
            
        publisher_channel2one.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE2ONE4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2ONE: ", publisher_channel2one, " - TIME: ", time4xi()) 
            # SENT MESSAGE2SEND4ONE:  <ack2put4xi>queue2one</ack2put4xi>  TO PUBLISHER_CHANNEL2ONE:  <read-write PipeConnection, handle 260>  - TIME:  04:55:42 08/23/10 Pacific Daylight Time 
        
    except:
        print(" (STEP 3C/33) OF FIRE2ONE4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2ONE: ", publisher_channel2one, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE2ONE4XI - RETURNING QUEUE OBJECT QUEUE2ONE: ", queue2one, " - TIME: ", time4xi())  
        # <queue4xi.Queue4Xi object at 0x029E7090>  - TIME:  04:55:42 08/23/10 Pacific Daylight Time 
            
    return queue2one    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2one4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
